/* _inputParameters: an object with different values for the model parameters */
function Virtual_LevitadorAire_Arx_Datos(_topFrame,_libraryPath,_codebasePath, _inputParameters) {
  var _model = EJSS_CORE.createAnimationLMS();
  var _view;
  var _isPlaying = false;
  var _isPaused = true;
  var _isMobile = (navigator===undefined) ? false : navigator.userAgent.match(/iPhone|iPad|iPod|Android|BlackBerry|Opera Mini|IEMobile/i);

var _stringProperties = {};
  var _tools = {
    showInputDialog : EJSS_INTERFACE.BoxPanel.showInputDialog,
    showOkDialog : EJSS_INTERFACE.BoxPanel.showOkDialog,
    showOkCancelDialog : EJSS_INTERFACE.BoxPanel.showOkCancelDialog,
    downloadText: EJSS_TOOLS.File.downloadText,
    uploadText: function(action) { EJSS_TOOLS.File.uploadText(_model,action); } 
  };

piD = new PIDController();
  function _play()  { _isPaused = false; _isPlaying = true;  _model.play();  }
  function _pause() { _isPaused = true;  _isPlaying = false; _model.pause(); }
  function _step()  { _pause();  _model.step(); }
  function _reset() { _model.reset();  _isPaused = _model.isPaused(); _isPlaying = _model.isPlaying(); }
  _model._play  = _play;
  _model._pause = _pause;
  _model._step  = _step;
  _model._reset = _reset;
  function _update() { _model.update(); }
  function _initialize() { _model.initialize(); }
  function _setFPS(_fps) { _model.setFPS(_fps); }
  function _setDelay(_delay) { _model.setDelay(_delay); }
  function _setStepsPerDisplay(_spd) { _model.setStepsPerDisplay(_spd); }
  function _setUpdateView(_updateView) { _model.setUpdateView(_updateView); }
  function _setAutoplay(_auto) { _model.setAutoplay(_auto); }
  function _println(_message) { console.log(_message); }

  function _breakAfterThisPage() { _model.setShouldBreak(true); }

  function _resetSolvers() { if (_model.resetSolvers) _model.resetSolvers(); }

  function _saveText(name,type,content) { if (_model.saveText) _model.saveText(name,type,content); }

  function _saveState(name) { if (_model.saveState) _model.saveState(name); }

  function _saveImage(name,panelname) { if (_model.saveImage) _model.saveImage(name,panelname); }

  function _readState(url,type) { if (_model.readState) _model.readState(url,type); }

  function _readText(url,type,varname) { if (_model.readText) _model.readText(url,type,varname); }

  function _getStringProperty(propertyName) {
    var _value = _stringProperties[propertyName];
    if (_value===undefined) return propertyName;
    else return _value;
  }
  var __pagesEnabled = [];
  function _setPageEnabled(pageName,enabled) { __pagesEnabled[pageName] = enabled; }

  var m; // EjsS Model.Variables.ModelVars.m
  var r; // EjsS Model.Variables.ModelVars.r
  var g; // EjsS Model.Variables.ModelVars.g
  var alpha; // EjsS Model.Variables.ModelVars.alpha
  var vEq; // EjsS Model.Variables.ModelVars.vEq
  var tau; // EjsS Model.Variables.ModelVars.tau
  var Kv; // EjsS Model.Variables.ModelVars.Kv
  var t; // EjsS Model.Variables.ModelVars.t
  var dt; // EjsS Model.Variables.ModelVars.dt
  var vw; // EjsS Model.Variables.ModelVars.vw
  var posx; // EjsS Model.Variables.ModelVars.posx
  var posy; // EjsS Model.Variables.ModelVars.posy
  var velx; // EjsS Model.Variables.ModelVars.velx
  var totalForce; // EjsS Model.Variables.ModelVars.totalForce
  var uV; // EjsS Model.Variables.ModelVars.uV
  var uVnLin; // EjsS Model.Variables.ModelVars.uVnLin
  var nlFanAngle; // EjsS Model.Variables.ModelVars.nlFanAngle
  var vwLin; // EjsS Model.Variables.ModelVars.vwLin
  var posxLin; // EjsS Model.Variables.ModelVars.posxLin
  var posyLin; // EjsS Model.Variables.ModelVars.posyLin
  var velxLin; // EjsS Model.Variables.ModelVars.velxLin
  var totalLinForce; // EjsS Model.Variables.ModelVars.totalLinForce
  var uVLin; // EjsS Model.Variables.ModelVars.uVLin
  var linFanAngle; // EjsS Model.Variables.ModelVars.linFanAngle
  var posxArx; // EjsS Model.Variables.ModelVars.posxArx
  var posyArx; // EjsS Model.Variables.ModelVars.posyArx
  var uVArx; // EjsS Model.Variables.ModelVars.uVArx
  var z1_prev; // EjsS Model.Variables.ModelVars.z1_prev
  var z2_prev; // EjsS Model.Variables.ModelVars.z2_prev
  var z3_prev; // EjsS Model.Variables.ModelVars.z3_prev
  var z4_prev; // EjsS Model.Variables.ModelVars.z4_prev
  var z1; // EjsS Model.Variables.ModelVars.z1
  var z2; // EjsS Model.Variables.ModelVars.z2
  var z3; // EjsS Model.Variables.ModelVars.z3
  var z4; // EjsS Model.Variables.ModelVars.z4

  var manualTrajectory; // EjsS Model.Variables.Trajectory.manualTrajectory
  var sinTrajectory; // EjsS Model.Variables.Trajectory.sinTrajectory
  var squareTrajectory; // EjsS Model.Variables.Trajectory.squareTrajectory
  var amplitude; // EjsS Model.Variables.Trajectory.amplitude
  var period; // EjsS Model.Variables.Trajectory.period

  var manualControl; // EjsS Model.Variables.PID_Control.manualControl
  var RefXSlider; // EjsS Model.Variables.PID_Control.RefXSlider
  var RefX; // EjsS Model.Variables.PID_Control.RefX
  var disturbance; // EjsS Model.Variables.PID_Control.disturbance
  var umin; // EjsS Model.Variables.PID_Control.umin
  var umax; // EjsS Model.Variables.PID_Control.umax
  var Kp; // EjsS Model.Variables.PID_Control.Kp
  var Ti; // EjsS Model.Variables.PID_Control.Ti
  var Td; // EjsS Model.Variables.PID_Control.Td
  var n; // EjsS Model.Variables.PID_Control.n
  var Ts; // EjsS Model.Variables.PID_Control.Ts
  var nextControl; // EjsS Model.Variables.PID_Control.nextControl
  var nextArx; // EjsS Model.Variables.PID_Control.nextArx
  var nlPid; // EjsS Model.Variables.PID_Control.nlPid
  var linPid; // EjsS Model.Variables.PID_Control.linPid
  var arxPid; // EjsS Model.Variables.PID_Control.arxPid

  var mobileDiameter; // EjsS Model.Variables.Device.mobileDiameter
  var mobileHeight; // EjsS Model.Variables.Device.mobileHeight
  var tubeDiameter; // EjsS Model.Variables.Device.tubeDiameter
  var tubeHeight; // EjsS Model.Variables.Device.tubeHeight
  var baseWidth; // EjsS Model.Variables.Device.baseWidth
  var baseHeight; // EjsS Model.Variables.Device.baseHeight
  var deviceHeight; // EjsS Model.Variables.Device.deviceHeight
  var adaptorData; // EjsS Model.Variables.Device.adaptorData
  var dispNL; // EjsS Model.Variables.Device.dispNL
  var dispL; // EjsS Model.Variables.Device.dispL
  var dispArx; // EjsS Model.Variables.Device.dispArx
  var nlDevicePos; // EjsS Model.Variables.Device.nlDevicePos
  var linDevicePos; // EjsS Model.Variables.Device.linDevicePos
  var arxDevicePos; // EjsS Model.Variables.Device.arxDevicePos

  var modelOptions; // EjsS Model.Variables.CSS_&_View.modelOptions
  var modelSelection; // EjsS Model.Variables.CSS_&_View.modelSelection
  var browser; // EjsS Model.Variables.CSS_&_View.browser
  var manualSelection; // EjsS Model.Variables.CSS_&_View.manualSelection
  var manualOptions; // EjsS Model.Variables.CSS_&_View.manualOptions
  var saveOptions; // EjsS Model.Variables.CSS_&_View.saveOptions
  var saveSelection; // EjsS Model.Variables.CSS_&_View.saveSelection
  var selectColor; // EjsS Model.Variables.CSS_&_View.selectColor
  var unSelectColor; // EjsS Model.Variables.CSS_&_View.unSelectColor
  var playColor; // EjsS Model.Variables.CSS_&_View.playColor
  var pauseColor; // EjsS Model.Variables.CSS_&_View.pauseColor
  var resetColor; // EjsS Model.Variables.CSS_&_View.resetColor
  var dispPositionT; // EjsS Model.Variables.CSS_&_View.dispPositionT
  var dispObjVelT; // EjsS Model.Variables.CSS_&_View.dispObjVelT
  var dispWindVelT; // EjsS Model.Variables.CSS_&_View.dispWindVelT
  var dispEqT; // EjsS Model.Variables.CSS_&_View.dispEqT
  var positionTabWidth; // EjsS Model.Variables.CSS_&_View.positionTabWidth
  var positionTabHeight; // EjsS Model.Variables.CSS_&_View.positionTabHeight
  var objVelTabWidth; // EjsS Model.Variables.CSS_&_View.objVelTabWidth
  var windVelTabWidth; // EjsS Model.Variables.CSS_&_View.windVelTabWidth
  var eqTabWidth; // EjsS Model.Variables.CSS_&_View.eqTabWidth
  var positionTabColor; // EjsS Model.Variables.CSS_&_View.positionTabColor
  var objVelTabColor; // EjsS Model.Variables.CSS_&_View.objVelTabColor
  var windVelTabColor; // EjsS Model.Variables.CSS_&_View.windVelTabColor
  var eqTabColor; // EjsS Model.Variables.CSS_&_View.eqTabColor
  var dispControlsT; // EjsS Model.Variables.CSS_&_View.dispControlsT
  var dispPhysicsT; // EjsS Model.Variables.CSS_&_View.dispPhysicsT
  var controlsTabColor; // EjsS Model.Variables.CSS_&_View.controlsTabColor
  var physicsTabColor; // EjsS Model.Variables.CSS_&_View.physicsTabColor
  var paused; // EjsS Model.Variables.CSS_&_View.paused
  var npoints; // EjsS Model.Variables.CSS_&_View.npoints
  var skip; // EjsS Model.Variables.CSS_&_View.skip
  var xmin; // EjsS Model.Variables.CSS_&_View.xmin
  var xmax; // EjsS Model.Variables.CSS_&_View.xmax
  var xpos; // EjsS Model.Variables.CSS_&_View.xpos

  var data; // EjsS Model.Variables.Data.data
  var counter; // EjsS Model.Variables.Data.counter

  var _privateOdesList;
  var _ODEi_evolution1;
  var userEvents1=[];

  _model.getOdes = function() { return [_ODEi_evolution1]; };

  _model.removeEvents = function(){
    userEvents1=[];
  };

  function _serialize() { return _model.serialize(); }

  _model._userSerialize = function() {
    return {
      m : m,
      r : r,
      g : g,
      alpha : alpha,
      vEq : vEq,
      tau : tau,
      Kv : Kv,
      t : t,
      dt : dt,
      vw : vw,
      posx : posx,
      posy : posy,
      velx : velx,
      totalForce : totalForce,
      uV : uV,
      uVnLin : uVnLin,
      nlFanAngle : nlFanAngle,
      vwLin : vwLin,
      posxLin : posxLin,
      posyLin : posyLin,
      velxLin : velxLin,
      totalLinForce : totalLinForce,
      uVLin : uVLin,
      linFanAngle : linFanAngle,
      posxArx : posxArx,
      posyArx : posyArx,
      uVArx : uVArx,
      z1_prev : z1_prev,
      z2_prev : z2_prev,
      z3_prev : z3_prev,
      z4_prev : z4_prev,
      z1 : z1,
      z2 : z2,
      z3 : z3,
      z4 : z4,
      manualTrajectory : manualTrajectory,
      sinTrajectory : sinTrajectory,
      squareTrajectory : squareTrajectory,
      amplitude : amplitude,
      period : period,
      manualControl : manualControl,
      RefXSlider : RefXSlider,
      RefX : RefX,
      disturbance : disturbance,
      umin : umin,
      umax : umax,
      Kp : Kp,
      Ti : Ti,
      Td : Td,
      n : n,
      Ts : Ts,
      nextControl : nextControl,
      nextArx : nextArx,
      nlPid : nlPid,
      linPid : linPid,
      arxPid : arxPid,
      mobileDiameter : mobileDiameter,
      mobileHeight : mobileHeight,
      tubeDiameter : tubeDiameter,
      tubeHeight : tubeHeight,
      baseWidth : baseWidth,
      baseHeight : baseHeight,
      deviceHeight : deviceHeight,
      adaptorData : adaptorData,
      dispNL : dispNL,
      dispL : dispL,
      dispArx : dispArx,
      nlDevicePos : nlDevicePos,
      linDevicePos : linDevicePos,
      arxDevicePos : arxDevicePos,
      modelOptions : modelOptions,
      modelSelection : modelSelection,
      browser : browser,
      manualSelection : manualSelection,
      manualOptions : manualOptions,
      saveOptions : saveOptions,
      saveSelection : saveSelection,
      selectColor : selectColor,
      unSelectColor : unSelectColor,
      playColor : playColor,
      pauseColor : pauseColor,
      resetColor : resetColor,
      dispPositionT : dispPositionT,
      dispObjVelT : dispObjVelT,
      dispWindVelT : dispWindVelT,
      dispEqT : dispEqT,
      positionTabWidth : positionTabWidth,
      positionTabHeight : positionTabHeight,
      objVelTabWidth : objVelTabWidth,
      windVelTabWidth : windVelTabWidth,
      eqTabWidth : eqTabWidth,
      positionTabColor : positionTabColor,
      objVelTabColor : objVelTabColor,
      windVelTabColor : windVelTabColor,
      eqTabColor : eqTabColor,
      dispControlsT : dispControlsT,
      dispPhysicsT : dispPhysicsT,
      controlsTabColor : controlsTabColor,
      physicsTabColor : physicsTabColor,
      paused : paused,
      npoints : npoints,
      skip : skip,
      xmin : xmin,
      xmax : xmax,
      xpos : xpos,
      data : data,
      counter : counter
    };
  };

  _model._readParameters = function(json) {
    if(typeof json.m != "undefined") m = json.m;
    if(typeof json.r != "undefined") r = json.r;
    if(typeof json.g != "undefined") g = json.g;
    if(typeof json.alpha != "undefined") alpha = json.alpha;
    if(typeof json.vEq != "undefined") vEq = json.vEq;
    if(typeof json.tau != "undefined") tau = json.tau;
    if(typeof json.Kv != "undefined") Kv = json.Kv;
    if(typeof json.t != "undefined") t = json.t;
    if(typeof json.dt != "undefined") dt = json.dt;
    if(typeof json.vw != "undefined") vw = json.vw;
    if(typeof json.posx != "undefined") posx = json.posx;
    if(typeof json.posy != "undefined") posy = json.posy;
    if(typeof json.velx != "undefined") velx = json.velx;
    if(typeof json.totalForce != "undefined") totalForce = json.totalForce;
    if(typeof json.uV != "undefined") uV = json.uV;
    if(typeof json.uVnLin != "undefined") uVnLin = json.uVnLin;
    if(typeof json.nlFanAngle != "undefined") nlFanAngle = json.nlFanAngle;
    if(typeof json.vwLin != "undefined") vwLin = json.vwLin;
    if(typeof json.posxLin != "undefined") posxLin = json.posxLin;
    if(typeof json.posyLin != "undefined") posyLin = json.posyLin;
    if(typeof json.velxLin != "undefined") velxLin = json.velxLin;
    if(typeof json.totalLinForce != "undefined") totalLinForce = json.totalLinForce;
    if(typeof json.uVLin != "undefined") uVLin = json.uVLin;
    if(typeof json.linFanAngle != "undefined") linFanAngle = json.linFanAngle;
    if(typeof json.posxArx != "undefined") posxArx = json.posxArx;
    if(typeof json.posyArx != "undefined") posyArx = json.posyArx;
    if(typeof json.uVArx != "undefined") uVArx = json.uVArx;
    if(typeof json.z1_prev != "undefined") z1_prev = json.z1_prev;
    if(typeof json.z2_prev != "undefined") z2_prev = json.z2_prev;
    if(typeof json.z3_prev != "undefined") z3_prev = json.z3_prev;
    if(typeof json.z4_prev != "undefined") z4_prev = json.z4_prev;
    if(typeof json.z1 != "undefined") z1 = json.z1;
    if(typeof json.z2 != "undefined") z2 = json.z2;
    if(typeof json.z3 != "undefined") z3 = json.z3;
    if(typeof json.z4 != "undefined") z4 = json.z4;
    if(typeof json.manualTrajectory != "undefined") manualTrajectory = json.manualTrajectory;
    if(typeof json.sinTrajectory != "undefined") sinTrajectory = json.sinTrajectory;
    if(typeof json.squareTrajectory != "undefined") squareTrajectory = json.squareTrajectory;
    if(typeof json.amplitude != "undefined") amplitude = json.amplitude;
    if(typeof json.period != "undefined") period = json.period;
    if(typeof json.manualControl != "undefined") manualControl = json.manualControl;
    if(typeof json.RefXSlider != "undefined") RefXSlider = json.RefXSlider;
    if(typeof json.RefX != "undefined") RefX = json.RefX;
    if(typeof json.disturbance != "undefined") disturbance = json.disturbance;
    if(typeof json.umin != "undefined") umin = json.umin;
    if(typeof json.umax != "undefined") umax = json.umax;
    if(typeof json.Kp != "undefined") Kp = json.Kp;
    if(typeof json.Ti != "undefined") Ti = json.Ti;
    if(typeof json.Td != "undefined") Td = json.Td;
    if(typeof json.n != "undefined") n = json.n;
    if(typeof json.Ts != "undefined") Ts = json.Ts;
    if(typeof json.nextControl != "undefined") nextControl = json.nextControl;
    if(typeof json.nextArx != "undefined") nextArx = json.nextArx;
    if(typeof json.nlPid != "undefined") nlPid = json.nlPid;
    if(typeof json.linPid != "undefined") linPid = json.linPid;
    if(typeof json.arxPid != "undefined") arxPid = json.arxPid;
    if(typeof json.mobileDiameter != "undefined") mobileDiameter = json.mobileDiameter;
    if(typeof json.mobileHeight != "undefined") mobileHeight = json.mobileHeight;
    if(typeof json.tubeDiameter != "undefined") tubeDiameter = json.tubeDiameter;
    if(typeof json.tubeHeight != "undefined") tubeHeight = json.tubeHeight;
    if(typeof json.baseWidth != "undefined") baseWidth = json.baseWidth;
    if(typeof json.baseHeight != "undefined") baseHeight = json.baseHeight;
    if(typeof json.deviceHeight != "undefined") deviceHeight = json.deviceHeight;
    if(typeof json.adaptorData != "undefined") adaptorData = json.adaptorData;
    if(typeof json.dispNL != "undefined") dispNL = json.dispNL;
    if(typeof json.dispL != "undefined") dispL = json.dispL;
    if(typeof json.dispArx != "undefined") dispArx = json.dispArx;
    if(typeof json.nlDevicePos != "undefined") nlDevicePos = json.nlDevicePos;
    if(typeof json.linDevicePos != "undefined") linDevicePos = json.linDevicePos;
    if(typeof json.arxDevicePos != "undefined") arxDevicePos = json.arxDevicePos;
    if(typeof json.modelOptions != "undefined") modelOptions = json.modelOptions;
    if(typeof json.modelSelection != "undefined") modelSelection = json.modelSelection;
    if(typeof json.browser != "undefined") browser = json.browser;
    if(typeof json.manualSelection != "undefined") manualSelection = json.manualSelection;
    if(typeof json.manualOptions != "undefined") manualOptions = json.manualOptions;
    if(typeof json.saveOptions != "undefined") saveOptions = json.saveOptions;
    if(typeof json.saveSelection != "undefined") saveSelection = json.saveSelection;
    if(typeof json.selectColor != "undefined") selectColor = json.selectColor;
    if(typeof json.unSelectColor != "undefined") unSelectColor = json.unSelectColor;
    if(typeof json.playColor != "undefined") playColor = json.playColor;
    if(typeof json.pauseColor != "undefined") pauseColor = json.pauseColor;
    if(typeof json.resetColor != "undefined") resetColor = json.resetColor;
    if(typeof json.dispPositionT != "undefined") dispPositionT = json.dispPositionT;
    if(typeof json.dispObjVelT != "undefined") dispObjVelT = json.dispObjVelT;
    if(typeof json.dispWindVelT != "undefined") dispWindVelT = json.dispWindVelT;
    if(typeof json.dispEqT != "undefined") dispEqT = json.dispEqT;
    if(typeof json.positionTabWidth != "undefined") positionTabWidth = json.positionTabWidth;
    if(typeof json.positionTabHeight != "undefined") positionTabHeight = json.positionTabHeight;
    if(typeof json.objVelTabWidth != "undefined") objVelTabWidth = json.objVelTabWidth;
    if(typeof json.windVelTabWidth != "undefined") windVelTabWidth = json.windVelTabWidth;
    if(typeof json.eqTabWidth != "undefined") eqTabWidth = json.eqTabWidth;
    if(typeof json.positionTabColor != "undefined") positionTabColor = json.positionTabColor;
    if(typeof json.objVelTabColor != "undefined") objVelTabColor = json.objVelTabColor;
    if(typeof json.windVelTabColor != "undefined") windVelTabColor = json.windVelTabColor;
    if(typeof json.eqTabColor != "undefined") eqTabColor = json.eqTabColor;
    if(typeof json.dispControlsT != "undefined") dispControlsT = json.dispControlsT;
    if(typeof json.dispPhysicsT != "undefined") dispPhysicsT = json.dispPhysicsT;
    if(typeof json.controlsTabColor != "undefined") controlsTabColor = json.controlsTabColor;
    if(typeof json.physicsTabColor != "undefined") physicsTabColor = json.physicsTabColor;
    if(typeof json.paused != "undefined") paused = json.paused;
    if(typeof json.npoints != "undefined") npoints = json.npoints;
    if(typeof json.skip != "undefined") skip = json.skip;
    if(typeof json.xmin != "undefined") xmin = json.xmin;
    if(typeof json.xmax != "undefined") xmax = json.xmax;
    if(typeof json.xpos != "undefined") xpos = json.xpos;
    if(typeof json.data != "undefined") data = json.data;
    if(typeof json.counter != "undefined") counter = json.counter;
  };

  _model._inputAndPublicParameters = []; 

  _model._outputAndPublicParameters = [];

  function _unserialize(json) { return _model.unserialize(json); }

  _model._userUnserialize = function(json) {
    _model._readParameters(json);
   _resetSolvers();
   _model.update();
  };

  _model.addToReset(function() {
    __pagesEnabled["ViewVars"] = true;
    __pagesEnabled["PIDs"] = true;
    __pagesEnabled["Dynamics"] = true;
    __pagesEnabled["Bottom NL"] = true;
    __pagesEnabled["Top NL"] = true;
    __pagesEnabled["Bottom Lin"] = true;
    __pagesEnabled["Top Lin"] = true;
    __pagesEnabled["ARX Model"] = true;
    __pagesEnabled["Control"] = true;
    __pagesEnabled["Data"] = true;
    __pagesEnabled["Limit airspeed"] = true;
  });

  _model.addToReset(function() {
    m = 1.4; // EjsS Model.Variables.ModelVars.m
    r = 0.025; // EjsS Model.Variables.ModelVars.r
    g = 9.81; // EjsS Model.Variables.ModelVars.g
    alpha = (1/2)*0.47*1230*3.1416*r*r; // EjsS Model.Variables.ModelVars.alpha
    vEq = Math.sqrt(g*m/alpha); // EjsS Model.Variables.ModelVars.vEq
    tau = 0.14; // EjsS Model.Variables.ModelVars.tau
    Kv = 0.66; // EjsS Model.Variables.ModelVars.Kv
    t = 0.0; // EjsS Model.Variables.ModelVars.t
    dt = 0.05; // EjsS Model.Variables.ModelVars.dt
    vw = 0.0; // EjsS Model.Variables.ModelVars.vw
    posx = 0.0; // EjsS Model.Variables.ModelVars.posx
    posy = 0.0; // EjsS Model.Variables.ModelVars.posy
    velx = 0.0; // EjsS Model.Variables.ModelVars.velx
    totalForce = 0; // EjsS Model.Variables.ModelVars.totalForce
    uV = 0.0; // EjsS Model.Variables.ModelVars.uV
    uVnLin = 0.0; // EjsS Model.Variables.ModelVars.uVnLin
    nlFanAngle = 0; // EjsS Model.Variables.ModelVars.nlFanAngle
    vwLin = vw; // EjsS Model.Variables.ModelVars.vwLin
    posxLin = posx; // EjsS Model.Variables.ModelVars.posxLin
    posyLin = posy; // EjsS Model.Variables.ModelVars.posyLin
    velxLin = velx; // EjsS Model.Variables.ModelVars.velxLin
    totalLinForce = 0; // EjsS Model.Variables.ModelVars.totalLinForce
    uVLin = uV; // EjsS Model.Variables.ModelVars.uVLin
    linFanAngle = 0; // EjsS Model.Variables.ModelVars.linFanAngle
    posxArx = posx; // EjsS Model.Variables.ModelVars.posxArx
    posyArx = posy; // EjsS Model.Variables.ModelVars.posyArx
    uVArx = uV; // EjsS Model.Variables.ModelVars.uVArx
    z1_prev = 0; // EjsS Model.Variables.ModelVars.z1_prev
    z2_prev = 0; // EjsS Model.Variables.ModelVars.z2_prev
    z3_prev = 0; // EjsS Model.Variables.ModelVars.z3_prev
    z4_prev = 0; // EjsS Model.Variables.ModelVars.z4_prev
    z1 = 0; // EjsS Model.Variables.ModelVars.z1
    z2 = 0; // EjsS Model.Variables.ModelVars.z2
    z3 = 0; // EjsS Model.Variables.ModelVars.z3
    z4 = 0; // EjsS Model.Variables.ModelVars.z4
  });

  _model.addToReset(function() {
    manualTrajectory = true; // EjsS Model.Variables.Trajectory.manualTrajectory
    sinTrajectory = false; // EjsS Model.Variables.Trajectory.sinTrajectory
    squareTrajectory = false; // EjsS Model.Variables.Trajectory.squareTrajectory
    amplitude = 8; // EjsS Model.Variables.Trajectory.amplitude
    period = 10; // EjsS Model.Variables.Trajectory.period
  });

  _model.addToReset(function() {
    manualControl = false; // EjsS Model.Variables.PID_Control.manualControl
    RefXSlider = 0; // EjsS Model.Variables.PID_Control.RefXSlider
    RefX = 0; // EjsS Model.Variables.PID_Control.RefX
    disturbance = 0; // EjsS Model.Variables.PID_Control.disturbance
    umin = 0; // EjsS Model.Variables.PID_Control.umin
    umax = 12; // EjsS Model.Variables.PID_Control.umax
    Kp = 6; // EjsS Model.Variables.PID_Control.Kp
    Ti = 10; // EjsS Model.Variables.PID_Control.Ti
    Td = 0; // EjsS Model.Variables.PID_Control.Td
    n = 1; // EjsS Model.Variables.PID_Control.n
    Ts = 0.1; // EjsS Model.Variables.PID_Control.Ts
    nextControl = Ts; // EjsS Model.Variables.PID_Control.nextControl
    nextArx = 0.1; // EjsS Model.Variables.PID_Control.nextArx
  });

  _model.addToReset(function() {
    mobileDiameter = 100*2*r; // EjsS Model.Variables.Device.mobileDiameter
    mobileHeight = mobileDiameter; // EjsS Model.Variables.Device.mobileHeight
    tubeDiameter = mobileDiameter*1.01; // EjsS Model.Variables.Device.tubeDiameter
    tubeHeight = 60.0; // EjsS Model.Variables.Device.tubeHeight
    baseWidth = 2*tubeDiameter; // EjsS Model.Variables.Device.baseWidth
    baseHeight = baseWidth; // EjsS Model.Variables.Device.baseHeight
    deviceHeight = baseHeight+tubeHeight; // EjsS Model.Variables.Device.deviceHeight
    adaptorData = new Array(2); // EjsS Model.Variables.Device.adaptorData
    (function () {
      var _i0,_i1,_i2;
      for (_i0=0; _i0<2; _i0+=1) {  // EjsS Model.Variables.Device.adaptorData
        adaptorData[_i0] = [];
        for (_i1=0; _i1<2; _i1+=1) {  // EjsS Model.Variables.Device.adaptorData
          adaptorData[_i0][_i1] = [];
          for (_i2=0; _i2<3; _i2+=1) {  // EjsS Model.Variables.Device.adaptorData
            adaptorData[_i0][_i1][_i2] = 0;  // EjsS Model.Variables.Device.adaptorData
          }
        }
      }
    }());
    dispNL = true; // EjsS Model.Variables.Device.dispNL
    dispL = false; // EjsS Model.Variables.Device.dispL
    dispArx = false; // EjsS Model.Variables.Device.dispArx
    nlDevicePos = 0; // EjsS Model.Variables.Device.nlDevicePos
    linDevicePos = 0; // EjsS Model.Variables.Device.linDevicePos
    arxDevicePos = 0; // EjsS Model.Variables.Device.arxDevicePos
  });

  _model.addToReset(function() {
    modelOptions = new Array(3); // EjsS Model.Variables.CSS_&_View.modelOptions
    (function () {
      var _i0;
      for (_i0=0; _i0<3; _i0+=1) {  // EjsS Model.Variables.CSS_&_View.modelOptions
        modelOptions[_i0] = "";  // EjsS Model.Variables.CSS_&_View.modelOptions
      }
    }());
    modelSelection = "Non-linear"; // EjsS Model.Variables.CSS_&_View.modelSelection
    browser = ""; // EjsS Model.Variables.CSS_&_View.browser
    manualSelection = "Manual Control"; // EjsS Model.Variables.CSS_&_View.manualSelection
    manualOptions = new Array(2); // EjsS Model.Variables.CSS_&_View.manualOptions
    saveOptions = new Array(2); // EjsS Model.Variables.CSS_&_View.saveOptions
    saveSelection = "Save Data"; // EjsS Model.Variables.CSS_&_View.saveSelection
    selectColor = "rgb(51, 204, 255)"; // EjsS Model.Variables.CSS_&_View.selectColor
    unSelectColor = "rgb(0, 153, 255)"; // EjsS Model.Variables.CSS_&_View.unSelectColor
    playColor = unSelectColor; // EjsS Model.Variables.CSS_&_View.playColor
    pauseColor = selectColor; // EjsS Model.Variables.CSS_&_View.pauseColor
    resetColor = unSelectColor; // EjsS Model.Variables.CSS_&_View.resetColor
    dispPositionT = "inline-block"; // EjsS Model.Variables.CSS_&_View.dispPositionT
    dispObjVelT = "none"; // EjsS Model.Variables.CSS_&_View.dispObjVelT
    dispWindVelT = "none"; // EjsS Model.Variables.CSS_&_View.dispWindVelT
    dispEqT = "none"; // EjsS Model.Variables.CSS_&_View.dispEqT
    positionTabWidth = "100%"; // EjsS Model.Variables.CSS_&_View.positionTabWidth
    positionTabHeight = "100%"; // EjsS Model.Variables.CSS_&_View.positionTabHeight
    objVelTabWidth = "0%"; // EjsS Model.Variables.CSS_&_View.objVelTabWidth
    windVelTabWidth = "0%"; // EjsS Model.Variables.CSS_&_View.windVelTabWidth
    eqTabWidth = "0%"; // EjsS Model.Variables.CSS_&_View.eqTabWidth
    positionTabColor = selectColor; // EjsS Model.Variables.CSS_&_View.positionTabColor
    objVelTabColor = unSelectColor; // EjsS Model.Variables.CSS_&_View.objVelTabColor
    windVelTabColor = unSelectColor; // EjsS Model.Variables.CSS_&_View.windVelTabColor
    eqTabColor = unSelectColor; // EjsS Model.Variables.CSS_&_View.eqTabColor
    dispControlsT = "flex"; // EjsS Model.Variables.CSS_&_View.dispControlsT
    dispPhysicsT = "none"; // EjsS Model.Variables.CSS_&_View.dispPhysicsT
    controlsTabColor = selectColor; // EjsS Model.Variables.CSS_&_View.controlsTabColor
    physicsTabColor = unSelectColor; // EjsS Model.Variables.CSS_&_View.physicsTabColor
    paused = true; // EjsS Model.Variables.CSS_&_View.paused
    npoints = 450; // EjsS Model.Variables.CSS_&_View.npoints
    skip = 1; // EjsS Model.Variables.CSS_&_View.skip
    xmin = 0; // EjsS Model.Variables.CSS_&_View.xmin
    xmax = npoints*dt; // EjsS Model.Variables.CSS_&_View.xmax
    xpos = 0; // EjsS Model.Variables.CSS_&_View.xpos
  });

  _model.addToReset(function() {
    data = ""; // EjsS Model.Variables.Data.data
    counter = 1; // EjsS Model.Variables.Data.counter
  });

  if (_inputParameters) {
    _inputParameters = _model.parseInputParameters(_inputParameters);
    if (_inputParameters) _model.addToReset(function() { _model._readParameters(_inputParameters); });
  }

  _model.addToReset(function() {
    _privateOdesList=[];
    _ODEi_evolution1 = _ODE_evolution1();
    _privateOdesList.push(_ODEi_evolution1);
  });

  _model.addToReset(function() {
    _model.setAutoplay(false);
    _model.setPauseOnPageExit(false);
    _model.setFPS(20);
    _model.setStepsPerDisplay(2);
  });

  function pause () {  // > CustomCode.auxPlayPause:1
    pauseColor = selectColor;  // > CustomCode.auxPlayPause:2
    playColor = unSelectColor;  // > CustomCode.auxPlayPause:3
    _pause();  // > CustomCode.auxPlayPause:4
  }  // > CustomCode.auxPlayPause:5
  function play () {  // > CustomCode.auxPlayPause:6
    playColor = selectColor;  // > CustomCode.auxPlayPause:7
    pauseColor = unSelectColor;  // > CustomCode.auxPlayPause:8
    _play();  // > CustomCode.auxPlayPause:9
  }  // > CustomCode.auxPlayPause:10

  function initData () {  // > CustomCode.InitData:1
    data = "% Descripcion: Datos en modo simulacion\n" +  // > CustomCode.InitData:2
           "% Planta: Sistema levitador de aire\n" +   // > CustomCode.InitData:3
           "% Formato de datos: t posx posxLin uV UVLink RefX\n" +  // > CustomCode.InitData:4
           "\n" +   // > CustomCode.InitData:5
           "data=[\n";  // > CustomCode.InitData:6
  }  // > CustomCode.InitData:7

  function resizeDevice () {  // > CustomCode.Adaptor:1
    var ratio = tubeDiameter/baseWidth;  // > CustomCode.Adaptor:2
    // Depending on model parameters  // > CustomCode.Adaptor:3
    mobileDiameter = 100*2*r;  // > CustomCode.Adaptor:4
    // Derived from this  // > CustomCode.Adaptor:5
    mobileHeight = mobileDiameter;  // > CustomCode.Adaptor:6
    tubeDiameter = mobileDiameter*1.01;  // > CustomCode.Adaptor:7
    baseWidth = 2*tubeDiameter;  // > CustomCode.Adaptor:8
    baseHeight = baseWidth;  // > CustomCode.Adaptor:9
    deviceHeight = baseHeight + tubeHeight;  // > CustomCode.Adaptor:10
    if (tubeDiameter/baseWidth != ratio) adaptorData = computeAdaptor(tubeDiameter/baseWidth);  // > CustomCode.Adaptor:11
    _resetSolvers();    // > CustomCode.Adaptor:12
  }  // > CustomCode.Adaptor:13
  // ---------------  // > CustomCode.Adaptor:14
  // Functions to compute a nice adaptor to the nozzle  // > CustomCode.Adaptor:15
  // ---------------  // > CustomCode.Adaptor:16
  var TWO_PI = 2*Math.PI;  // > CustomCode.Adaptor:17
  var PI_FOURTH = Math.PI/4.0;  // > CustomCode.Adaptor:18
  function radiusByAngle (side, angle) {    // > CustomCode.Adaptor:19
    angle = angle % TWO_PI;  // > CustomCode.Adaptor:20
    if (angle <=  PI_FOURTH) return  side/Math.cos(angle);   // > CustomCode.Adaptor:21
    if (angle <=3*PI_FOURTH) return  side/Math.sin(angle);   // > CustomCode.Adaptor:22
    if (angle <=5*PI_FOURTH) return -side/Math.cos(angle);   // > CustomCode.Adaptor:23
    if (angle <=7*PI_FOURTH) return -side/Math.sin(angle);   // > CustomCode.Adaptor:24
    return side/Math.cos(angle);   // > CustomCode.Adaptor:25
  }  // > CustomCode.Adaptor:26
  function computeAdaptor(ratio) {  // > CustomCode.Adaptor:27
    var HALF_SIDE = 0.5;  // > CustomCode.Adaptor:28
    var HEIGHT = 1.0;  // > CustomCode.Adaptor:29
    var NOZZLE_RADIUS = ratio/2;   // > CustomCode.Adaptor:30
      // > CustomCode.Adaptor:31
    var nHPoints = 5;  // > CustomCode.Adaptor:32
    var nAnglePoints = 8*5+1;  // > CustomCode.Adaptor:33
    var dH = HEIGHT/(nHPoints-1);  // > CustomCode.Adaptor:34
    var dAngle = 2.0*Math.PI/(nAnglePoints-1);  // > CustomCode.Adaptor:35
    var i,j,data = [];  // > CustomCode.Adaptor:36
    for (i = 0; i<nAnglePoints; i++) data[i] = [];  // > CustomCode.Adaptor:37
    for (j = 0; j<nHPoints; j++) {  // > CustomCode.Adaptor:38
      var t = j*dH;  // > CustomCode.Adaptor:39
      for (i = 0; i<nAnglePoints; i++) {  // > CustomCode.Adaptor:40
        var angle = i*dAngle;  // > CustomCode.Adaptor:41
        var r  = NOZZLE_RADIUS + (radiusByAngle(HALF_SIDE, angle)-NOZZLE_RADIUS)*(HEIGHT-t)/HEIGHT;  // > CustomCode.Adaptor:42
        data[i][j] = [r*Math.cos(angle), r*Math.sin(angle),t];  // > CustomCode.Adaptor:43
      }  // > CustomCode.Adaptor:44
    }  // > CustomCode.Adaptor:45
    return data;  // > CustomCode.Adaptor:46
  }  // > CustomCode.Adaptor:47

  _model.addToInitialization(function() {
    if (!__pagesEnabled["ViewVars"]) return;
    adaptorData = computeAdaptor(tubeDiameter/baseWidth);  // > Initialization.ViewVars:1
    modelOptions[0] = "Non-linear Model";  // > Initialization.ViewVars:2
    modelOptions[1] = "Linear Model";  // > Initialization.ViewVars:3
    modelOptions[2] = "Linear and non-linear";  // > Initialization.ViewVars:4
    modelOptions[3] = "ARX Model";  // > Initialization.ViewVars:5
    modelOptions[4] = "All models";  // > Initialization.ViewVars:6
    manualOptions[0] = "Automatic Control";  // > Initialization.ViewVars:7
    manualOptions[1] = "Manual Control";  // > Initialization.ViewVars:8
    saveOptions[0] = "Save Data";  // > Initialization.ViewVars:9
    saveOptions[1] = "Save data in a .m File";  // > Initialization.ViewVars:10
    //saveOptions[2] = "Save Figures";  // > Initialization.ViewVars:11
    initData();  // > Initialization.ViewVars:12
    resizeDevice();  // > Initialization.ViewVars:13
  });

  _model.addToInitialization(function() {
    if (!__pagesEnabled["PIDs"]) return;
    nlpid = new PID();  // > Initialization.PIDs:1
    nlpid.setAntiwindup(false);  // > Initialization.PIDs:2
    nlpid.setTracking(false);  // > Initialization.PIDs:3
    nlpid.setKp(Kp);  // > Initialization.PIDs:4
    nlpid.setKi(Kp/Ti);  // > Initialization.PIDs:5
    nlpid.setKd(Kp*Td);  // > Initialization.PIDs:6
    nlpid.setPeriod(Ts);  // > Initialization.PIDs:7
    linpid = new PID();  // > Initialization.PIDs:8
    linpid.setAntiwindup(false);  // > Initialization.PIDs:9
    linpid.setTracking(false);  // > Initialization.PIDs:10
    linpid.setKp(Kp);  // > Initialization.PIDs:11
    linpid.setKi(Kp/Ti);  // > Initialization.PIDs:12
    linpid.setKd(Kp*Td);  // > Initialization.PIDs:13
    linpid.setPeriod(Ts);  // > Initialization.PIDs:14
    arxpid = new PID();  // > Initialization.PIDs:15
    arxpid.setAntiwindup(false);  // > Initialization.PIDs:16
    arxpid.setTracking(false);  // > Initialization.PIDs:17
    arxpid.setKp(Kp);  // > Initialization.PIDs:18
    arxpid.setKi(Kp/Ti);  // > Initialization.PIDs:19
    arxpid.setKd(Kp*Td);  // > Initialization.PIDs:20
    arxpid.setPeriod(Ts);  // > Initialization.PIDs:21
    time = performance.now() / 1000;  // > Initialization.PIDs:22
    nextArx = time + 0.1;  // > Initialization.PIDs:23
    nextControl = time + Ts;  // > Initialization.PIDs:24
  });

  _model.addToInitialization(function() {
    _initializeSolvers();
  });

  _model.addToEvolution(function() {
    if (!__pagesEnabled["Dynamics"]) return;
    _ODEi_evolution1.step();
  });

  _model.addToEvolution(function() {
    if (!__pagesEnabled["ARX Model"]) return;
    if (modelSelection == "ARX Model") {  // > Evolution.ARX Model:1
      var time = performance.now() / 1000;  // > Evolution.ARX Model:2
      if (time > nextArx) {  // > Evolution.ARX Model:3
        nextArx = time + 0.1;  // > Evolution.ARX Model:4
          // > Evolution.ARX Model:5
        // State  // > Evolution.ARX Model:6
        z1 = 0.714*z1_prev + 0.7218*z2_prev - 0.07565*z3_prev - 0.6936*z4_prev + 2*uVArx/12;  // > Evolution.ARX Model:7
        z2 = z1_prev;  // > Evolution.ARX Model:8
        z3 = z2_prev;  // > Evolution.ARX Model:9
        z4 = 0.5*z3_prev;  // > Evolution.ARX Model:10
          // > Evolution.ARX Model:11
        // Output  // > Evolution.ARX Model:12
        posxArx = 1.027*z1_prev + 0.919*z2_prev + 0.6893*z3_prev + 1.292*z4_prev;  // > Evolution.ARX Model:13
        /*console.log("uVArx="+uVArx);  // > Evolution.ARX Model:14
        console.log("posxArx="+posxArx);*/  // > Evolution.ARX Model:15
        if (posxArx > (tubeHeight - mobileHeight - 3)) {  // > Evolution.ARX Model:16
          posxArx = posxArx-1;  // > Evolution.ARX Model:17
          z1 = posxArx-1;  // > Evolution.ARX Model:18
          z2 = 0;  // > Evolution.ARX Model:19
          z3 = 0;  // > Evolution.ARX Model:20
          z4 = 0;  // > Evolution.ARX Model:21
        } else if (posxArx < 0) {  // > Evolution.ARX Model:22
          posxArx = 0;  // > Evolution.ARX Model:23
          z1 = 0;  // > Evolution.ARX Model:24
          z2 = 0;  // > Evolution.ARX Model:25
          z3 = 0;  // > Evolution.ARX Model:26
          z4 = 0;  // > Evolution.ARX Model:27
        }  // > Evolution.ARX Model:28
          // > Evolution.ARX Model:29
        // Update for next state  // > Evolution.ARX Model:30
        z1_prev = z1;  // > Evolution.ARX Model:31
        z2_prev = z2;  // > Evolution.ARX Model:32
        z3_prev = z3;  // > Evolution.ARX Model:33
        z4_prev = z4;  // > Evolution.ARX Model:34
      }  // > Evolution.ARX Model:35
    }  // > Evolution.ARX Model:36
  });

  _model.addToEvolution(function() {
    if (!__pagesEnabled["Control"]) return;
    if (!manualControl) {  // > Evolution.Control:1
      if (RefX !== 0) {  // > Evolution.Control:2
        if(sinTrajectory) {  // > Evolution.Control:3
            RefX = 0.01*RefXSlider + 0.01*(amplitude/2)*Math.sin((2*Math.PI/period)*t);  // > Evolution.Control:4
        } else if(squareTrajectory) {  // > Evolution.Control:5
            var sign = Math.sign(Math.sin((2*Math.PI/period)*t));  // > Evolution.Control:6
            RefX = 0.01*RefXSlider + 0.01*(amplitude/2)*sign;  // > Evolution.Control:7
        }  // > Evolution.Control:8
        var time = performance.now() / 1000;  // > Evolution.Control:9
        if(time > nextControl) {  // > Evolution.Control:10
          nextControl = time + Ts;  // > Evolution.Control:11
          uVnLin = vEq/Kv + nlpid.update(posx, RefX, uVnLin);  // > Evolution.Control:12
          uVLin = vEq/Kv + linpid.update(posxLin, RefX, uVLin);  // > Evolution.Control:13
          uVArx = vEq/Kv + arxpid.update(posxArx, RefX, uVArx);  // > Evolution.Control:14
          if (dispNL) uV = uVnLin;  // > Evolution.Control:15
          else if (dispL) uV = uVLin;  // > Evolution.Control:16
          else if (dispArx) uV = uVArx;  // > Evolution.Control:17
          if (uV < umin) uV = umin;  // > Evolution.Control:18
          else if (uV > umax) uV = umax;  // > Evolution.Control:19
        }  // > Evolution.Control:20
      } else {  // > Evolution.Control:21
        uV = 0;  // > Evolution.Control:22
        uVnLin = 0;  // > Evolution.Control:23
        uVLin = 0;  // > Evolution.Control:24
        uVArx = 0;  // > Evolution.Control:25
      }  // > Evolution.Control:26
      _resetSolvers();  // > Evolution.Control:27
    }  // > Evolution.Control:28
  });

  _model.addToEvolution(function() {
    if (!__pagesEnabled["Data"]) return;
    if (t < npoints*dt*counter) {  // > Evolution.Data:1
      data += Math.floor(10*t)/10 + " " + Math.floor(100*posx)/100 + " " +   // > Evolution.Data:2
              Math.floor(100*posxLin)/100 + " " + Math.floor(100*uV)/100 + " " +   // > Evolution.Data:3
              Math.floor(100*uVLin)/100 + " " + Math.floor(100*RefX)/100 + "\n";  // > Evolution.Data:4
    } else {  // > Evolution.Data:5
      counter++;  // > Evolution.Data:6
      initData();  // > Evolution.Data:7
    }  // > Evolution.Data:8
  });

  _model.addToFixedRelations(function() { _isPaused = _model.isPaused(); _isPlaying = _model.isPlaying(); });

  _model.addToFixedRelations(function() {
    if (!__pagesEnabled["Limit airspeed"]) return;
    if (vw < 0    || uV == 0)    vw = 0;  // > FixedRelations.Limit airspeed:1
    if (vwLin < 0 || uVLin == 0) vwLin = 0;  // > FixedRelations.Limit airspeed:2
    // Compute total force for display purposes only  // > FixedRelations.Limit airspeed:3
    var accelx = g*(Math.pow((vw - velx)/vEq,2)-1);  // > FixedRelations.Limit airspeed:4
    if (posx <= 0) {  // > FixedRelations.Limit airspeed:5
      if (accelx < 0) accelx = 0;  // > FixedRelations.Limit airspeed:6
    }  // > FixedRelations.Limit airspeed:7
    var accelxLin = (2*g/vEq)*(vwLin-vEq-velxLin);  // > FixedRelations.Limit airspeed:8
    if (posxLin <= 0) {  // > FixedRelations.Limit airspeed:9
      if (accelxLin < 0) accelxLin = 0;  // > FixedRelations.Limit airspeed:10
    }  // > FixedRelations.Limit airspeed:11
    totalForce = m*accelx;  // > FixedRelations.Limit airspeed:12
    totalLinForce = m*accelxLin;  // > FixedRelations.Limit airspeed:13
    paused = _model.isPaused();  // > FixedRelations.Limit airspeed:14
    if (t > dt*npoints) {  // > FixedRelations.Limit airspeed:15
      xpos = npoints*dt - t;  // > FixedRelations.Limit airspeed:16
    }  // > FixedRelations.Limit airspeed:17
  });

  _model.addToFixedRelations(function() { _isPaused = _model.isPaused(); _isPlaying = _model.isPlaying(); });

  function _initializeSolvers() {
    for (var i=0,n=_privateOdesList.length; i<n; i++) _privateOdesList[i].initializeSolver();
  }

  function _automaticResetSolvers() {
    for (var i=0,n=_privateOdesList.length; i<n; i++) _privateOdesList[i].automaticResetSolver();
  }

  _model.resetSolvers = function() {
    for (var i=0,n=_privateOdesList.length; i<n; i++) _privateOdesList[i].resetSolver();
  };

  _getODE = function (_odeName) {
    if (_odeName=="Dynamics") return _ODEi_evolution1;
    return null;
  }

  function _getEventSolver(_odeName) {
    var ode = _getODE(_odeName);
    if (ode===null) return null;
    return ode.getEventSolver();
  }

  function _setSolverClass(_odeName, _engine) {
    var ode = _getODE(_odeName);
    if (ode===null) return;
    if (!_engine.setODE) {
      var classname = _engine.toLowerCase();
      if      (classname.indexOf("boga")>=0)   _engine = EJSS_ODE_SOLVERS.bogackiShampine23;
      else if (classname.indexOf("cash")>=0)   _engine = EJSS_ODE_SOLVERS.cashKarp45;
      else if (classname.indexOf("dopri5")>=0) _engine = EJSS_ODE_SOLVERS.dopri5;
      else if (classname.indexOf("dopri8")>=0) _engine = EJSS_ODE_SOLVERS.dopri853;
      else if (classname.indexOf("richa")>=0)  _engine = EJSS_ODE_SOLVERS.eulerRichardson;
      else if (classname.indexOf("euler")>=0)  _engine = EJSS_ODE_SOLVERS.euler;
      else if (classname.indexOf("fehlberg87")>=0) _engine = EJSS_ODE_SOLVERS.fehlberg87;
      else if (classname.indexOf("fehlberg8")>=0)  _engine = EJSS_ODE_SOLVERS.fehlberg8;
      else if (classname.indexOf("radau")>=0)   _engine = EJSS_ODE_SOLVERS.radau5;
      else if (classname.indexOf("runge")>=0)  _engine = EJSS_ODE_SOLVERS.rungeKutta4;
      else if (classname.indexOf("rk4")>=0)    _engine = EJSS_ODE_SOLVERS.rungeKutta4;
      else if (classname.indexOf("verlet")>=0) _engine = EJSS_ODE_SOLVERS.velocityVerlet;
    }
    if (_engine) ode.setSolverClass(_engine);
  }

  function _ODE_evolution1() {
    var __odeSelf = {};
    var __eventSolver;
    var __solverClass = EJSS_ODE_SOLVERS.rungeKutta4;
    var __state=[];
    var _ODE_evolution1_Event1;
    var _ODE_evolution1_Event2;
    var _ODE_evolution1_Event3;
    var _ODE_evolution1_Event4;
    var __ignoreErrors=false;
    var __mustInitialize=true;
    var __isEnabled=true;
    var __mustUserReinitialize=false;
    var __mustReinitialize=true;


    __odeSelf._getOdeVars = function (){ return["nlFanAngle","vw","posx","velx","linFanAngle","vwLin","posxLin","velxLin","t"]};

    __odeSelf.setSolverClass = function(__aSolverClass) {
      __solverClass = __aSolverClass;
      __instantiateSolver();
    };

    function __instantiateSolver() {
      __state=[];
      __pushState();
      __eventSolver = EJSS_ODE_SOLVERS.interpolatorEventSolver(__solverClass(),__odeSelf);
      __mustInitialize = true;
    }

    __odeSelf.setEnabled = function(_enabled) { __isEnabled = _enabled; };

    __odeSelf.getIndependentVariableValue = function() { return __eventSolver.getIndependentVariableValue(); };

    __odeSelf.getInternalStepSize = function() { return __eventSolver.getInternalStepSize(); };

    __odeSelf.isAccelerationIndependentOfVelocity = function() { return false; };

    __odeSelf.initializeSolver = function() {
      if (__arraysChanged()) { __instantiateSolver(); __odeSelf.initializeSolver(); return; }
      __pushState();
      __eventSolver.initialize(dt);
      __eventSolver.setBestInterpolation(false);
      __eventSolver.setMaximumInternalSteps(10000);
      __eventSolver.removeAllEvents();
      if (__pagesEnabled["Bottom NL"]) __eventSolver.addEvent(_ODE_evolution1_Event1());
      if (__pagesEnabled["Top NL"]) __eventSolver.addEvent(_ODE_evolution1_Event2());
      if (__pagesEnabled["Bottom Lin"]) __eventSolver.addEvent(_ODE_evolution1_Event3());
      if (__pagesEnabled["Top Lin"]) __eventSolver.addEvent(_ODE_evolution1_Event4());
      for(k in userEvents1){__eventSolver.addEvent(userEvents1[k]);}
      __eventSolver.setEstimateFirstStep(false);
      __eventSolver.setEnableExceptions(false);
      __eventSolver.setTolerances(0.00001,0.00001);
      __mustReinitialize = true;
      __mustInitialize = false;
    };

    function __pushState() {
      // Copy our variables to __state[] 
        var __j=0;
        var __n=0;
        var __cIn=0;
        if (__state[__cIn]!=nlFanAngle) __mustReinitialize = true;
        __state[__cIn++] = nlFanAngle;
        if (__state[__cIn]!=vw) __mustReinitialize = true;
        __state[__cIn++] = vw;
        if (__state[__cIn]!=posx) __mustReinitialize = true;
        __state[__cIn++] = posx;
        if (__state[__cIn]!=velx) __mustReinitialize = true;
        __state[__cIn++] = velx;
        if (__state[__cIn]!=linFanAngle) __mustReinitialize = true;
        __state[__cIn++] = linFanAngle;
        if (__state[__cIn]!=vwLin) __mustReinitialize = true;
        __state[__cIn++] = vwLin;
        if (__state[__cIn]!=posxLin) __mustReinitialize = true;
        __state[__cIn++] = posxLin;
        if (__state[__cIn]!=velxLin) __mustReinitialize = true;
        __state[__cIn++] = velxLin;
        if (__state[__cIn]!=t) __mustReinitialize = true;
        __state[__cIn++] = t;
    }

    function __arraysChanged () {
      return false;
    }

    __odeSelf.getEventSolver = function() {
      return __eventSolver;
    };

    __odeSelf.resetSolver = function() {
      __mustUserReinitialize = true;
    };

    __odeSelf.automaticResetSolver = function() {
      __mustReinitialize = true;
    };

    function __errorAction () {
      if (__ignoreErrors) return;
      console.log (__eventSolver.getErrorMessage());
      _pause();
      // Make sure the solver is reinitialized;
      __mustReinitialize = true;
    }

    __odeSelf.step = function() { return __privateStep(false); };

    __odeSelf.solverStep = function() { return __privateStep(true); };

    function __privateStep(__takeMaximumStep) {
      if (!__isEnabled) return 0;
      if (dt===0) return 0;
      if (__mustInitialize) __odeSelf.initializeSolver();
      if (__arraysChanged()) { __instantiateSolver(); __odeSelf.initializeSolver(); }
      __eventSolver.setStepSize(dt);
      __eventSolver.setInternalStepSize(dt);
      __eventSolver.setMaximumInternalSteps(10000);
      __eventSolver.setTolerances(0.00001,0.00001);
      __pushState();
      if (__mustUserReinitialize) { 
        __eventSolver.userReinitialize();
        __mustUserReinitialize = false;
        __mustReinitialize = false;
        if (__eventSolver.getErrorCode()!=EJSS_ODE_SOLVERS.ERROR.NO_ERROR) __errorAction();
      }
      else if (__mustReinitialize) { 
        __eventSolver.reinitialize();
        __mustReinitialize = false;
        if (__eventSolver.getErrorCode()!=EJSS_ODE_SOLVERS.ERROR.NO_ERROR) __errorAction();
      }
      var __stepTaken = __takeMaximumStep ? __eventSolver.maxStep() : __eventSolver.step();
      // Extract our variables from __state
        var __i=0;
        var __cOut=0;
        nlFanAngle = __state[__cOut++];
        vw = __state[__cOut++];
        posx = __state[__cOut++];
        velx = __state[__cOut++];
        linFanAngle = __state[__cOut++];
        vwLin = __state[__cOut++];
        posxLin = __state[__cOut++];
        velxLin = __state[__cOut++];
        t = __state[__cOut++];
      // Check for error
      if (__eventSolver.getErrorCode()!=EJSS_ODE_SOLVERS.ERROR.NO_ERROR) __errorAction();
      return __stepTaken;
    }

    __odeSelf.getState = function() { return __state; };

    __odeSelf.getRate = function(_aState,_aRate) {
      _aRate[_aRate.length-1] = 0.0; // In case the prelim code returns
      var __index=-1; // so that it can be used in preliminary code
      // Extract our variables from _aState
        var __i=0;
        var __cOut=0;
        var nlFanAngle = _aState[__cOut++];
        var vw = _aState[__cOut++];
        var posx = _aState[__cOut++];
        var velx = _aState[__cOut++];
        var linFanAngle = _aState[__cOut++];
        var vwLin = _aState[__cOut++];
        var posxLin = _aState[__cOut++];
        var velxLin = _aState[__cOut++];
        var t = _aState[__cOut++];
      // Preliminary code: nonlinear and linear accelerations
        var accelx = g*(Math.pow((vw - velx)/vEq,2)-1);  // > Preliminary code for ODE.Dynamics:1
        if (posx <= 0) {  // > Preliminary code for ODE.Dynamics:2
          if (accelx < 0) accelx = 0;  // > Preliminary code for ODE.Dynamics:3
        }  // > Preliminary code for ODE.Dynamics:4
        var accelxLin = (2*g/vEq)*(vwLin-vEq-velxLin);  // > Preliminary code for ODE.Dynamics:5
        if (posxLin <= 0) {  // > Preliminary code for ODE.Dynamics:6
          if (accelxLin < 0) accelxLin = 0;  // > Preliminary code for ODE.Dynamics:7
        }  // > Preliminary code for ODE.Dynamics:8
      // Compute the rate
        var __cRate=0;
        _aRate[__cRate++] = uV*2; // Rate for ODE: Dynamics:nlFanAngle
        _aRate[__cRate++] = (Kv*uV - vw)/tau; // Rate for ODE: Dynamics:vw
        _aRate[__cRate++] = velx; // Rate for ODE: Dynamics:posx
        _aRate[__cRate++] = accelx; // Rate for ODE: Dynamics:velx
        _aRate[__cRate++] = uVLin*2; // Rate for ODE: Dynamics:linFanAngle
        _aRate[__cRate++] = (Kv*uVLin - vwLin)/tau; // Rate for ODE: Dynamics:vwLin
        _aRate[__cRate++] = velxLin; // Rate for ODE: Dynamics:posxLin
        _aRate[__cRate++] = accelxLin; // Rate for ODE: Dynamics:velxLin
        _aRate[__cRate++] = 1; // independent variable
        return _aRate;
    }; //end of getRate

    __odeSelf._addEvent = function(userCondition,userAction,eventType,eventMethod,maxIter,eventTolerance,endAtEvent){
    var User_Event = function (userCondition,userAction,eventType,eventMethod,maxIter,eventTolerance,endAtEvent) {
      var _eventSelf = {};

      _eventSelf.getTypeOfEvent = function() { return eventType; };

      _eventSelf.getRootFindingMethod = function() { return eventMethod; };

      _eventSelf.getMaxIterations = function() { return maxIter; };

      _eventSelf.getTolerance = function() { return eventTolerance; };

      _eventSelf.evaluate = function(_aState) { 
      // Extract our variables from _aState
        var __i=0;
        var __cOut=0;
        var nlFanAngle = _aState[__cOut++];
        var vw = _aState[__cOut++];
        var posx = _aState[__cOut++];
        var velx = _aState[__cOut++];
        var linFanAngle = _aState[__cOut++];
        var vwLin = _aState[__cOut++];
        var posxLin = _aState[__cOut++];
        var velxLin = _aState[__cOut++];
        var t = _aState[__cOut++];
      return eval(userCondition);
      };

      _eventSelf.action = function() { 
      // Extract our variables from __state
        var __i=0;
        var __cOut=0;
        nlFanAngle = __state[__cOut++];
        vw = __state[__cOut++];
        posx = __state[__cOut++];
        velx = __state[__cOut++];
        linFanAngle = __state[__cOut++];
        vwLin = __state[__cOut++];
        posxLin = __state[__cOut++];
        velxLin = __state[__cOut++];
        t = __state[__cOut++];
        var _returnValue = __userDefinedAction();
      // Copy our variables to __state[] 
        var __j=0;
        var __n=0;
        var __cIn=0;
        __state[__cIn++] = nlFanAngle;
        __state[__cIn++] = vw;
        __state[__cIn++] = posx;
        __state[__cIn++] = velx;
        __state[__cIn++] = linFanAngle;
        __state[__cIn++] = vwLin;
        __state[__cIn++] = posxLin;
        __state[__cIn++] = velxLin;
        __state[__cIn++] = t;
        return _returnValue;
      };

      function __userDefinedAction() {
        if (undefined != functions) eval(functions.toString());
        eval(userAction);
        return endAtEvent;
      }

      return _eventSelf;
    }; // End of event

   userEvents1.push(User_Event(userCondition,userAction,eventType,eventMethod,maxIter,eventTolerance,endAtEvent));
   }

    _ODE_evolution1_Event1 = function() {
      var _eventSelf = {};

      _eventSelf.getTypeOfEvent = function() { return EJSS_ODE_SOLVERS.EVENT_TYPE.CROSSING_EVENT; };

      _eventSelf.getRootFindingMethod = function() { return EJSS_ODE_SOLVERS.EVENT_METHOD.BISECTION; };

      _eventSelf.getMaxIterations = function() { return 100; };

      _eventSelf.getTolerance = function() { return 1.0e-5; };

      _eventSelf.evaluate = function(_aState) { 
      // Extract our variables from _aState
        var __i=0;
        var __cOut=0;
        var nlFanAngle = _aState[__cOut++];
        var vw = _aState[__cOut++];
        var posx = _aState[__cOut++];
        var velx = _aState[__cOut++];
        var linFanAngle = _aState[__cOut++];
        var vwLin = _aState[__cOut++];
        var posxLin = _aState[__cOut++];
        var velxLin = _aState[__cOut++];
        var t = _aState[__cOut++];
        return posx + 0.001;  // > Event zero-condition for page Dynamics:1
      };

      _eventSelf.action = function() { 
      // Extract our variables from __state
        var __i=0;
        var __cOut=0;
        nlFanAngle = __state[__cOut++];
        vw = __state[__cOut++];
        posx = __state[__cOut++];
        velx = __state[__cOut++];
        linFanAngle = __state[__cOut++];
        vwLin = __state[__cOut++];
        posxLin = __state[__cOut++];
        velxLin = __state[__cOut++];
        t = __state[__cOut++];
        var _returnValue = __userDefinedAction();
      // Copy our variables to __state[] 
        var __j=0;
        var __n=0;
        var __cIn=0;
        __state[__cIn++] = nlFanAngle;
        __state[__cIn++] = vw;
        __state[__cIn++] = posx;
        __state[__cIn++] = velx;
        __state[__cIn++] = linFanAngle;
        __state[__cIn++] = vwLin;
        __state[__cIn++] = posxLin;
        __state[__cIn++] = velxLin;
        __state[__cIn++] = t;
        return _returnValue;
      };

      function __userDefinedAction() {
        velx = -0.2*velx;  // > Event action for page Dynamics:1
        posx = 0;  // > Event action for page Dynamics:2
        return true;
      }

      return _eventSelf;
    }; // End of event

    _ODE_evolution1_Event2 = function() {
      var _eventSelf = {};

      _eventSelf.getTypeOfEvent = function() { return EJSS_ODE_SOLVERS.EVENT_TYPE.CROSSING_EVENT; };

      _eventSelf.getRootFindingMethod = function() { return EJSS_ODE_SOLVERS.EVENT_METHOD.BISECTION; };

      _eventSelf.getMaxIterations = function() { return 100; };

      _eventSelf.getTolerance = function() { return 1.0e-5; };

      _eventSelf.evaluate = function(_aState) { 
      // Extract our variables from _aState
        var __i=0;
        var __cOut=0;
        var nlFanAngle = _aState[__cOut++];
        var vw = _aState[__cOut++];
        var posx = _aState[__cOut++];
        var velx = _aState[__cOut++];
        var linFanAngle = _aState[__cOut++];
        var vwLin = _aState[__cOut++];
        var posxLin = _aState[__cOut++];
        var velxLin = _aState[__cOut++];
        var t = _aState[__cOut++];
        return posx - (tubeHeight - mobileHeight - 1)/100;  // > Event zero-condition for page Dynamics:1
      };

      _eventSelf.action = function() { 
      // Extract our variables from __state
        var __i=0;
        var __cOut=0;
        nlFanAngle = __state[__cOut++];
        vw = __state[__cOut++];
        posx = __state[__cOut++];
        velx = __state[__cOut++];
        linFanAngle = __state[__cOut++];
        vwLin = __state[__cOut++];
        posxLin = __state[__cOut++];
        velxLin = __state[__cOut++];
        t = __state[__cOut++];
        var _returnValue = __userDefinedAction();
      // Copy our variables to __state[] 
        var __j=0;
        var __n=0;
        var __cIn=0;
        __state[__cIn++] = nlFanAngle;
        __state[__cIn++] = vw;
        __state[__cIn++] = posx;
        __state[__cIn++] = velx;
        __state[__cIn++] = linFanAngle;
        __state[__cIn++] = vwLin;
        __state[__cIn++] = posxLin;
        __state[__cIn++] = velxLin;
        __state[__cIn++] = t;
        return _returnValue;
      };

      function __userDefinedAction() {
        velx = 0;  // > Event action for page Dynamics:1
        posx = posx - 0.001;  // > Event action for page Dynamics:2
        return false;
      }

      return _eventSelf;
    }; // End of event

    _ODE_evolution1_Event3 = function() {
      var _eventSelf = {};

      _eventSelf.getTypeOfEvent = function() { return EJSS_ODE_SOLVERS.EVENT_TYPE.CROSSING_EVENT; };

      _eventSelf.getRootFindingMethod = function() { return EJSS_ODE_SOLVERS.EVENT_METHOD.BISECTION; };

      _eventSelf.getMaxIterations = function() { return 100; };

      _eventSelf.getTolerance = function() { return 1.0e-5; };

      _eventSelf.evaluate = function(_aState) { 
      // Extract our variables from _aState
        var __i=0;
        var __cOut=0;
        var nlFanAngle = _aState[__cOut++];
        var vw = _aState[__cOut++];
        var posx = _aState[__cOut++];
        var velx = _aState[__cOut++];
        var linFanAngle = _aState[__cOut++];
        var vwLin = _aState[__cOut++];
        var posxLin = _aState[__cOut++];
        var velxLin = _aState[__cOut++];
        var t = _aState[__cOut++];
        return posxLin + 0.001;  // > Event zero-condition for page Dynamics:1
      };

      _eventSelf.action = function() { 
      // Extract our variables from __state
        var __i=0;
        var __cOut=0;
        nlFanAngle = __state[__cOut++];
        vw = __state[__cOut++];
        posx = __state[__cOut++];
        velx = __state[__cOut++];
        linFanAngle = __state[__cOut++];
        vwLin = __state[__cOut++];
        posxLin = __state[__cOut++];
        velxLin = __state[__cOut++];
        t = __state[__cOut++];
        var _returnValue = __userDefinedAction();
      // Copy our variables to __state[] 
        var __j=0;
        var __n=0;
        var __cIn=0;
        __state[__cIn++] = nlFanAngle;
        __state[__cIn++] = vw;
        __state[__cIn++] = posx;
        __state[__cIn++] = velx;
        __state[__cIn++] = linFanAngle;
        __state[__cIn++] = vwLin;
        __state[__cIn++] = posxLin;
        __state[__cIn++] = velxLin;
        __state[__cIn++] = t;
        return _returnValue;
      };

      function __userDefinedAction() {
        velxLin = -0.2*velxLin;  // > Event action for page Dynamics:1
        posxLin = 0.0;  // > Event action for page Dynamics:2
        return true;
      }

      return _eventSelf;
    }; // End of event

    _ODE_evolution1_Event4 = function() {
      var _eventSelf = {};

      _eventSelf.getTypeOfEvent = function() { return EJSS_ODE_SOLVERS.EVENT_TYPE.CROSSING_EVENT; };

      _eventSelf.getRootFindingMethod = function() { return EJSS_ODE_SOLVERS.EVENT_METHOD.BISECTION; };

      _eventSelf.getMaxIterations = function() { return 100; };

      _eventSelf.getTolerance = function() { return 1.0e-5; };

      _eventSelf.evaluate = function(_aState) { 
      // Extract our variables from _aState
        var __i=0;
        var __cOut=0;
        var nlFanAngle = _aState[__cOut++];
        var vw = _aState[__cOut++];
        var posx = _aState[__cOut++];
        var velx = _aState[__cOut++];
        var linFanAngle = _aState[__cOut++];
        var vwLin = _aState[__cOut++];
        var posxLin = _aState[__cOut++];
        var velxLin = _aState[__cOut++];
        var t = _aState[__cOut++];
        return posxLin - (tubeHeight - mobileHeight - 1)/100;  // > Event zero-condition for page Dynamics:1
      };

      _eventSelf.action = function() { 
      // Extract our variables from __state
        var __i=0;
        var __cOut=0;
        nlFanAngle = __state[__cOut++];
        vw = __state[__cOut++];
        posx = __state[__cOut++];
        velx = __state[__cOut++];
        linFanAngle = __state[__cOut++];
        vwLin = __state[__cOut++];
        posxLin = __state[__cOut++];
        velxLin = __state[__cOut++];
        t = __state[__cOut++];
        var _returnValue = __userDefinedAction();
      // Copy our variables to __state[] 
        var __j=0;
        var __n=0;
        var __cIn=0;
        __state[__cIn++] = nlFanAngle;
        __state[__cIn++] = vw;
        __state[__cIn++] = posx;
        __state[__cIn++] = velx;
        __state[__cIn++] = linFanAngle;
        __state[__cIn++] = vwLin;
        __state[__cIn++] = posxLin;
        __state[__cIn++] = velxLin;
        __state[__cIn++] = t;
        return _returnValue;
      };

      function __userDefinedAction() {
        velxLin = 0;  // > Event action for page Dynamics:1
        posxLin = posxLin - 0.001;  // > Event action for page Dynamics:2
        return false;
      }

      return _eventSelf;
    }; // End of event

    __instantiateSolver();

    return __odeSelf;
  }

  function _historic_nlFanAngle(__time) {
    var __index = 0;
    return _ODEi_evolution1.getEventSolver().getStateHistory().interpolate(__time,__index);
  }

  function _historic_vw(__time) {
    var __index = 0 + 1;
    return _ODEi_evolution1.getEventSolver().getStateHistory().interpolate(__time,__index);
  }

  function _historic_posx(__time) {
    var __index = 0 + 1 + 1;
    return _ODEi_evolution1.getEventSolver().getStateHistory().interpolate(__time,__index);
  }

  function _historic_velx(__time) {
    var __index = 0 + 1 + 1 + 1;
    return _ODEi_evolution1.getEventSolver().getStateHistory().interpolate(__time,__index);
  }

  function _historic_linFanAngle(__time) {
    var __index = 0 + 1 + 1 + 1 + 1;
    return _ODEi_evolution1.getEventSolver().getStateHistory().interpolate(__time,__index);
  }

  function _historic_vwLin(__time) {
    var __index = 0 + 1 + 1 + 1 + 1 + 1;
    return _ODEi_evolution1.getEventSolver().getStateHistory().interpolate(__time,__index);
  }

  function _historic_posxLin(__time) {
    var __index = 0 + 1 + 1 + 1 + 1 + 1 + 1;
    return _ODEi_evolution1.getEventSolver().getStateHistory().interpolate(__time,__index);
  }

  function _historic_velxLin(__time) {
    var __index = 0 + 1 + 1 + 1 + 1 + 1 + 1 + 1;
    return _ODEi_evolution1.getEventSolver().getStateHistory().interpolate(__time,__index);
  }

    _model._fontResized = function(iBase,iSize,iDelta) {
      _view._fontResized(iBase,iSize,iDelta);
  }; // end of _fontResized

  function _getViews() {
    var _viewsInfo = [];
    var _counter = 0;
    _viewsInfo[_counter++] = { name : "HtmlView Page", width : 800, height : 600 };
    return _viewsInfo;
  } // end of _getViews

  function _selectView(_viewNumber) {
    _view = null;
    _view = new Virtual_LevitadorAire_Arx_Datos_View(_topFrame,_viewNumber,_libraryPath,_codebasePath);
    var _view_super_reset = _view._reset;
    _view._reset = function() {
      _view_super_reset();
      switch(_viewNumber) {
        case -10 : break; // make Lint happy
        default :
        case 0:
          _view.Save.linkProperty("Options",  function() { return saveOptions; }, function(_v) { saveOptions = _v; } ); // HtmlView Page linking property 'Options' for element 'Save'
          _view.Save.setAction("OnFocus", function(_data,_info) {
  _pause();
  playColor = unSelectColor;
  pauseColor = selectColor;

}); // HtmlView Page setting action 'OnFocus' for element 'Save'
          _view.Save.setAction("OnChange", function(_data,_info) {
  if (saveSelection == "Save data in a .m File") {
    data += "];\n\n" + 
            "t=data(:,1);\n" + 
            "posx=data(:,2);\n" + 
            "posxLin=data(:,3);\n" + 
            "uV=data(:,4);\n" + 
            "uVLin=data(:,5);\n" + 
            "ref=data(:,6);\n" +
            "plot([t\'],[posx\']);" + 
            "plot([t\'],[posxLin\']);" +
            "plot([t\'],[vel\']);";
    //_tools.downloadText("data_airlevitator.m", data);
    _saveText("data_airlevitator.m", data);
    initData();
  } else {
    _saveImage("position", "positionAndcontrol");
  } 
  saveSelection = "Save Files";
  playColor = selectColor;
  pauseColor = unSelectColor;
  _play();

}); // HtmlView Page setting action 'OnChange' for element 'Save'
          _view.Save.linkProperty("SelectedOptions",  function() { return saveSelection; }, function(_v) { saveSelection = _v; } ); // HtmlView Page linking property 'SelectedOptions' for element 'Save'
          _view.ControlMenu.linkProperty("Options",  function() { return manualOptions; }, function(_v) { manualOptions = _v; } ); // HtmlView Page linking property 'Options' for element 'ControlMenu'
          _view.ControlMenu.setAction("OnFocus", function(_data,_info) {
  pause();

}); // HtmlView Page setting action 'OnFocus' for element 'ControlMenu'
          _view.ControlMenu.setAction("OnChange", function(_data,_info) {
  if (manualSelection == "Manual Control"){
    manualControl = true;
  }else{
    manualControl = false;
  }
  play();

}); // HtmlView Page setting action 'OnChange' for element 'ControlMenu'
          _view.ControlMenu.linkProperty("SelectedOptions",  function() { return manualSelection; }, function(_v) { manualSelection = _v; } ); // HtmlView Page linking property 'SelectedOptions' for element 'ControlMenu'
          _view.modelSelector.linkProperty("Options",  function() { return modelOptions; }, function(_v) { modelOptions = _v; } ); // HtmlView Page linking property 'Options' for element 'modelSelector'
          _view.modelSelector.setAction("OnFocus", function(_data,_info) {
  pause();

}); // HtmlView Page setting action 'OnFocus' for element 'modelSelector'
          _view.modelSelector.setAction("OnChange", function(_data,_info) {
  if (modelSelection == "Non-linear Model"){
    dispNL = true;
    dispL = false;
    dispArx = false;
    nlDevicePos = 0;
    _resetSolvers();
  }else if (modelSelection == "Linear Model"){
    dispNL = false;
    dispL = true;
    dispArx = false;
    linDevicePos = 0;
    _resetSolvers();
  }else if (modelSelection == "Linear and non-linear") {
    dispNL = true;
    dispL = true;
    dispArx = false;
    nlDevicePos = -baseWidth*0.65-(r-0.0025);
    linDevicePos = baseWidth*0.65+(r-0.0025);
    _resetSolvers();
  }else if (modelSelection == "ARX Model"){
    dispNL = false;
    dispL = false;
    dispArx = true;
    arxDevicePos = 0;
    _resetSolvers();
  }else{
    dispNL = true;
    dispL = true;
    dispArx = true;
    nlDevicePos = -baseWidth*1.3-(r-0.0025);
    linDevicePos = 0;
    arxDevicePos = baseWidth*1.3+(r-0.0025);
    _resetSolvers();
  }
  play();

}); // HtmlView Page setting action 'OnChange' for element 'modelSelector'
          _view.modelSelector.linkProperty("SelectedOptions",  function() { return modelSelection; }, function(_v) { modelSelection = _v; } ); // HtmlView Page linking property 'SelectedOptions' for element 'modelSelector'
          _view.drawingPanel3D.linkProperty("CameraZ",  function() { return deviceHeight/2; } ); // HtmlView Page linking property 'CameraZ' for element 'drawingPanel3D'
          _view.drawingPanel3D.linkProperty("CameraX",  function() { return 1.3*deviceHeight; } ); // HtmlView Page linking property 'CameraX' for element 'drawingPanel3D'
          _view.drawingPanel3D.linkProperty("CameraFocusZ",  function() { return deviceHeight/2; } ); // HtmlView Page linking property 'CameraFocusZ' for element 'drawingPanel3D'
          _view.nlFanDevice_group3d.linkProperty("Y",  function() { return nlDevicePos; }, function(_v) { nlDevicePos = _v; } ); // HtmlView Page linking property 'Y' for element 'nlFanDevice_group3d'
          _view.nlFanDevice_group3d.linkProperty("Visibility",  function() { return dispNL; }, function(_v) { dispNL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'nlFanDevice_group3d'
          _view.fanBase_group3d.linkProperty("SizeX",  function() { return baseWidth; }, function(_v) { baseWidth = _v; } ); // HtmlView Page linking property 'SizeX' for element 'fanBase_group3d'
          _view.fanBase_group3d.linkProperty("SizeZ",  function() { return baseHeight; }, function(_v) { baseHeight = _v; } ); // HtmlView Page linking property 'SizeZ' for element 'fanBase_group3d'
          _view.fanBase_group3d.linkProperty("SizeY",  function() { return baseWidth; }, function(_v) { baseWidth = _v; } ); // HtmlView Page linking property 'SizeY' for element 'fanBase_group3d'
          _view.fanAdaptor_surface3D.linkProperty("Data",  function() { return adaptorData; }, function(_v) { adaptorData = _v; } ); // HtmlView Page linking property 'Data' for element 'fanAdaptor_surface3D'
          _view.fanBlades_group3d.linkProperty("Transformation",  function() { return [[nlFanAngle,0,0,1]]; } ); // HtmlView Page linking property 'Transformation' for element 'fanBlades_group3d'
          _view.tube_group3d.linkProperty("Z",  function() { return baseHeight; }, function(_v) { baseHeight = _v; } ); // HtmlView Page linking property 'Z' for element 'tube_group3d'
          _view.tube_cylinder3d.linkProperty("SizeX",  function() { return tubeDiameter; }, function(_v) { tubeDiameter = _v; } ); // HtmlView Page linking property 'SizeX' for element 'tube_cylinder3d'
          _view.tube_cylinder3d.linkProperty("SizeZ",  function() { return tubeHeight; }, function(_v) { tubeHeight = _v; } ); // HtmlView Page linking property 'SizeZ' for element 'tube_cylinder3d'
          _view.tube_cylinder3d.linkProperty("Z",  function() { return tubeHeight/2; } ); // HtmlView Page linking property 'Z' for element 'tube_cylinder3d'
          _view.tube_cylinder3d.linkProperty("SizeY",  function() { return tubeDiameter; }, function(_v) { tubeDiameter = _v; } ); // HtmlView Page linking property 'SizeY' for element 'tube_cylinder3d'
          _view.reference.linkProperty("Y",  function() { return -9 - 100*r + 3; } ); // HtmlView Page linking property 'Y' for element 'reference'
          _view.reference.linkProperty("Z",  function() { return 100*RefX + mobileHeight/2; } ); // HtmlView Page linking property 'Z' for element 'reference'
          _view.mobile_group3d.linkProperty("Z",  function() { return 100*posx; } ); // HtmlView Page linking property 'Z' for element 'mobile_group3d'
          _view.mobile_arrow3d.linkProperty("SizeZ",  function() { return 400*totalForce; } ); // HtmlView Page linking property 'SizeZ' for element 'mobile_arrow3d'
          _view.mobile_arrow3d.linkProperty("Z",  function() { return totalLinForce>0 ? mobileHeight : 0; } ); // HtmlView Page linking property 'Z' for element 'mobile_arrow3d'
          _view.mobileObject3d.linkProperty("Radius",  function() { return mobileDiameter/2; } ); // HtmlView Page linking property 'Radius' for element 'mobileObject3d'
          _view.mobileObject3d.linkProperty("Z",  function() { return mobileHeight/2; } ); // HtmlView Page linking property 'Z' for element 'mobileObject3d'
          _view.linFanDevice_group3d.linkProperty("Y",  function() { return linDevicePos; }, function(_v) { linDevicePos = _v; } ); // HtmlView Page linking property 'Y' for element 'linFanDevice_group3d'
          _view.linFanDevice_group3d.linkProperty("Visibility",  function() { return dispL; }, function(_v) { dispL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'linFanDevice_group3d'
          _view.fanBase_group3d2.linkProperty("SizeX",  function() { return baseWidth; }, function(_v) { baseWidth = _v; } ); // HtmlView Page linking property 'SizeX' for element 'fanBase_group3d2'
          _view.fanBase_group3d2.linkProperty("SizeZ",  function() { return baseHeight; }, function(_v) { baseHeight = _v; } ); // HtmlView Page linking property 'SizeZ' for element 'fanBase_group3d2'
          _view.fanBase_group3d2.linkProperty("SizeY",  function() { return baseWidth; }, function(_v) { baseWidth = _v; } ); // HtmlView Page linking property 'SizeY' for element 'fanBase_group3d2'
          _view.fanAdaptor_surface3D2.linkProperty("Data",  function() { return adaptorData; }, function(_v) { adaptorData = _v; } ); // HtmlView Page linking property 'Data' for element 'fanAdaptor_surface3D2'
          _view.fanBlades_group3d2.linkProperty("Transformation",  function() { return [[linFanAngle,0,0,1]]; } ); // HtmlView Page linking property 'Transformation' for element 'fanBlades_group3d2'
          _view.tube_group3d2.linkProperty("Z",  function() { return baseHeight; }, function(_v) { baseHeight = _v; } ); // HtmlView Page linking property 'Z' for element 'tube_group3d2'
          _view.tube_cylinder3d2.linkProperty("SizeX",  function() { return tubeDiameter; }, function(_v) { tubeDiameter = _v; } ); // HtmlView Page linking property 'SizeX' for element 'tube_cylinder3d2'
          _view.tube_cylinder3d2.linkProperty("SizeZ",  function() { return tubeHeight; }, function(_v) { tubeHeight = _v; } ); // HtmlView Page linking property 'SizeZ' for element 'tube_cylinder3d2'
          _view.tube_cylinder3d2.linkProperty("Z",  function() { return tubeHeight/2; } ); // HtmlView Page linking property 'Z' for element 'tube_cylinder3d2'
          _view.tube_cylinder3d2.linkProperty("SizeY",  function() { return tubeDiameter; }, function(_v) { tubeDiameter = _v; } ); // HtmlView Page linking property 'SizeY' for element 'tube_cylinder3d2'
          _view.reference2.linkProperty("Y",  function() { return -9 - 100*r + 3; } ); // HtmlView Page linking property 'Y' for element 'reference2'
          _view.reference2.linkProperty("Z",  function() { return 100*RefX + mobileHeight/2; } ); // HtmlView Page linking property 'Z' for element 'reference2'
          _view.mobile_group3d2.linkProperty("Z",  function() { return 100*posxLin; } ); // HtmlView Page linking property 'Z' for element 'mobile_group3d2'
          _view.mobile_arrow3d2.linkProperty("SizeZ",  function() { return 400*totalLinForce; } ); // HtmlView Page linking property 'SizeZ' for element 'mobile_arrow3d2'
          _view.mobile_arrow3d2.linkProperty("Z",  function() { return totalLinForce>0 ? mobileHeight : 0; } ); // HtmlView Page linking property 'Z' for element 'mobile_arrow3d2'
          _view.mobileObject3d2.linkProperty("Radius",  function() { return mobileDiameter/2; } ); // HtmlView Page linking property 'Radius' for element 'mobileObject3d2'
          _view.mobileObject3d2.linkProperty("Z",  function() { return mobileHeight/2; } ); // HtmlView Page linking property 'Z' for element 'mobileObject3d2'
          _view.arxFanDevice_group3d.linkProperty("Y",  function() { return arxDevicePos; }, function(_v) { arxDevicePos = _v; } ); // HtmlView Page linking property 'Y' for element 'arxFanDevice_group3d'
          _view.arxFanDevice_group3d.linkProperty("Visibility",  function() { return dispArx; }, function(_v) { dispArx = _v; } ); // HtmlView Page linking property 'Visibility' for element 'arxFanDevice_group3d'
          _view.fanBase_group3d3.linkProperty("SizeX",  function() { return baseWidth; }, function(_v) { baseWidth = _v; } ); // HtmlView Page linking property 'SizeX' for element 'fanBase_group3d3'
          _view.fanBase_group3d3.linkProperty("SizeZ",  function() { return baseHeight; }, function(_v) { baseHeight = _v; } ); // HtmlView Page linking property 'SizeZ' for element 'fanBase_group3d3'
          _view.fanBase_group3d3.linkProperty("SizeY",  function() { return baseWidth; }, function(_v) { baseWidth = _v; } ); // HtmlView Page linking property 'SizeY' for element 'fanBase_group3d3'
          _view.fanAdaptor_surface3D3.linkProperty("Data",  function() { return adaptorData; }, function(_v) { adaptorData = _v; } ); // HtmlView Page linking property 'Data' for element 'fanAdaptor_surface3D3'
          _view.fanBlades_group3d3.linkProperty("Transformation",  function() { return [[linFanAngle,0,0,1]]; } ); // HtmlView Page linking property 'Transformation' for element 'fanBlades_group3d3'
          _view.tube_group3d3.linkProperty("Z",  function() { return baseHeight; }, function(_v) { baseHeight = _v; } ); // HtmlView Page linking property 'Z' for element 'tube_group3d3'
          _view.tube_cylinder3d3.linkProperty("SizeX",  function() { return tubeDiameter; }, function(_v) { tubeDiameter = _v; } ); // HtmlView Page linking property 'SizeX' for element 'tube_cylinder3d3'
          _view.tube_cylinder3d3.linkProperty("SizeZ",  function() { return tubeHeight; }, function(_v) { tubeHeight = _v; } ); // HtmlView Page linking property 'SizeZ' for element 'tube_cylinder3d3'
          _view.tube_cylinder3d3.linkProperty("Z",  function() { return tubeHeight/2; } ); // HtmlView Page linking property 'Z' for element 'tube_cylinder3d3'
          _view.tube_cylinder3d3.linkProperty("SizeY",  function() { return tubeDiameter; }, function(_v) { tubeDiameter = _v; } ); // HtmlView Page linking property 'SizeY' for element 'tube_cylinder3d3'
          _view.reference3.linkProperty("Y",  function() { return -9 - 100*r + 3; } ); // HtmlView Page linking property 'Y' for element 'reference3'
          _view.reference3.linkProperty("Z",  function() { return 100*RefX + mobileHeight/2; } ); // HtmlView Page linking property 'Z' for element 'reference3'
          _view.mobile_group3d3.linkProperty("Z",  function() { return posxArx; }, function(_v) { posxArx = _v; } ); // HtmlView Page linking property 'Z' for element 'mobile_group3d3'
          _view.mobileObject3d3.linkProperty("Radius",  function() { return mobileDiameter/2; } ); // HtmlView Page linking property 'Radius' for element 'mobileObject3d3'
          _view.mobileObject3d3.linkProperty("Z",  function() { return mobileHeight/2; } ); // HtmlView Page linking property 'Z' for element 'mobileObject3d3'
          _view.positionTabButton.setAction("OnRelease", function(_data,_info) {
  dispPositionT = "inline-block";
  dispObjVelT = "none";
  dispWindVelT = "none";
  dispEqT = "none";
  positionTabWidth = "100%";
  positionTabHeight = "100%";
  objVelTabWidth = "0%";
  windVelTabWidth = "0%";
  eqTabWidth = "0%";
  positionTabColor = selectColor;
  objVelTabColor  = unSelectColor;
  windVelTabColor  = unSelectColor;
  eqTabColor  = unSelectColor;

}); // HtmlView Page setting action 'OnRelease' for element 'positionTabButton'
          _view.positionTabButton.linkProperty("Background",  function() { return positionTabColor; }, function(_v) { positionTabColor = _v; } ); // HtmlView Page linking property 'Background' for element 'positionTabButton'
          _view.objVelTabButton.setAction("OnRelease", function(_data,_info) {
  dispPositionT = "none";
  dispObjVelT = "inline-block";
  dispWindVelT = "none";
  dispEqT = "none";
  positionTabWidth = "0%";
  positionTabHeight = "0%";
  objVelTabWidth = "100%";
  windVelTabWidth = "0%";
  eqTabWidth = "0%";
  positionTabColor = unSelectColor;
  objVelTabColor  = selectColor;
  windVelTabColor  = unSelectColor;
  eqTabColor  = unSelectColor;

}); // HtmlView Page setting action 'OnRelease' for element 'objVelTabButton'
          _view.objVelTabButton.linkProperty("Background",  function() { return objVelTabColor; }, function(_v) { objVelTabColor = _v; } ); // HtmlView Page linking property 'Background' for element 'objVelTabButton'
          _view.windVelTabButton.setAction("OnRelease", function(_data,_info) {
  dispPositionT = "none";
  dispObjVelT = "none";
  dispWindVelT = "inline-block";
  dispEqT = "none";
  positionTabWidth = "0%";
  positionTabHeight = "0%";
  objVelTabWidth = "0%";
  windVelTabWidth = "100%";
  eqTabWidth = "0%";
  positionTabColor = unSelectColor;
  objVelTabColor  = unSelectColor;
  windVelTabColor  = selectColor;
  eqTabColor  = unSelectColor;

}); // HtmlView Page setting action 'OnRelease' for element 'windVelTabButton'
          _view.windVelTabButton.linkProperty("Background",  function() { return windVelTabColor; }, function(_v) { windVelTabColor = _v; } ); // HtmlView Page linking property 'Background' for element 'windVelTabButton'
          _view.eqTabButton.setAction("OnRelease", function(_data,_info) {
  dispPositionT = "none";
  dispObjVelT = "none";
  dispWindVelT = "none";
  dispEqT = "inline-block";
  positionTabWidth = "0%";
  positionTabHeight = "0%";
  objVelTabWidth = "0%";
  windVelTabWidth = "0%";
  eqTabWidth = "100%";
  positionTabColor = unSelectColor;
  objVelTabColor  = unSelectColor;
  windVelTabColor  = unSelectColor;
  eqTabColor  = selectColor;

}); // HtmlView Page setting action 'OnRelease' for element 'eqTabButton'
          _view.eqTabButton.linkProperty("Background",  function() { return eqTabColor; }, function(_v) { eqTabColor = _v; } ); // HtmlView Page linking property 'Background' for element 'eqTabButton'
          _view.positionAndcontrol.linkProperty("Height",  function() { return positionTabHeight; }, function(_v) { positionTabHeight = _v; } ); // HtmlView Page linking property 'Height' for element 'positionAndcontrol'
          _view.positionAndcontrol.linkProperty("Width",  function() { return positionTabWidth; }, function(_v) { positionTabWidth = _v; } ); // HtmlView Page linking property 'Width' for element 'positionAndcontrol'
          _view.positionAndcontrol.linkProperty("Display",  function() { return dispPositionT; }, function(_v) { dispPositionT = _v; } ); // HtmlView Page linking property 'Display' for element 'positionAndcontrol'
          _view.positionPlot.linkProperty("MaximumY",  function() { return tubeHeight+tubeHeight/20; } ); // HtmlView Page linking property 'MaximumY' for element 'positionPlot'
          _view.positionPlot.linkProperty("MaximumX",  function() { return xmax; }, function(_v) { xmax = _v; } ); // HtmlView Page linking property 'MaximumX' for element 'positionPlot'
          _view.positionPlot.linkProperty("MinimumX",  function() { return xmin; }, function(_v) { xmin = _v; } ); // HtmlView Page linking property 'MinimumX' for element 'positionPlot'
          _view.positionArx_Trace.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'positionArx_Trace'
          _view.positionArx_Trace.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'positionArx_Trace'
          _view.positionArx_Trace.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'positionArx_Trace'
          _view.positionArx_Trace.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'positionArx_Trace'
          _view.positionArx_Trace.linkProperty("Visibility",  function() { return dispArx; }, function(_v) { dispArx = _v; } ); // HtmlView Page linking property 'Visibility' for element 'positionArx_Trace'
          _view.positionArx_Trace.linkProperty("InputY",  function() { return posxArx; }, function(_v) { posxArx = _v; } ); // HtmlView Page linking property 'InputY' for element 'positionArx_Trace'
          _view.positionLin_Trace.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'positionLin_Trace'
          _view.positionLin_Trace.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'positionLin_Trace'
          _view.positionLin_Trace.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'positionLin_Trace'
          _view.positionLin_Trace.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'positionLin_Trace'
          _view.positionLin_Trace.linkProperty("Visibility",  function() { return dispL; }, function(_v) { dispL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'positionLin_Trace'
          _view.positionLin_Trace.linkProperty("InputY",  function() { return 100*posxLin; } ); // HtmlView Page linking property 'InputY' for element 'positionLin_Trace'
          _view.position_Trace.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'position_Trace'
          _view.position_Trace.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'position_Trace'
          _view.position_Trace.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'position_Trace'
          _view.position_Trace.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'position_Trace'
          _view.position_Trace.linkProperty("Visibility",  function() { return dispNL; }, function(_v) { dispNL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'position_Trace'
          _view.position_Trace.linkProperty("InputY",  function() { return 100*posx; } ); // HtmlView Page linking property 'InputY' for element 'position_Trace'
          _view.posReference_trace.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'posReference_trace'
          _view.posReference_trace.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'posReference_trace'
          _view.posReference_trace.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'posReference_trace'
          _view.posReference_trace.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'posReference_trace'
          _view.posReference_trace.linkProperty("InputY",  function() { return 100*RefX; } ); // HtmlView Page linking property 'InputY' for element 'posReference_trace'
          _view.controlPlot.linkProperty("MaximumY",  function() { return umax; }, function(_v) { umax = _v; } ); // HtmlView Page linking property 'MaximumY' for element 'controlPlot'
          _view.controlPlot.linkProperty("MaximumX",  function() { return xmax; }, function(_v) { xmax = _v; } ); // HtmlView Page linking property 'MaximumX' for element 'controlPlot'
          _view.controlPlot.linkProperty("MinimumX",  function() { return xmin; }, function(_v) { xmin = _v; } ); // HtmlView Page linking property 'MinimumX' for element 'controlPlot'
          _view.controlPlot.linkProperty("MinimumY",  function() { return umin; }, function(_v) { umin = _v; } ); // HtmlView Page linking property 'MinimumY' for element 'controlPlot'
          _view.controlArx_Trace.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'controlArx_Trace'
          _view.controlArx_Trace.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'controlArx_Trace'
          _view.controlArx_Trace.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'controlArx_Trace'
          _view.controlArx_Trace.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'controlArx_Trace'
          _view.controlArx_Trace.linkProperty("Visibility",  function() { return dispArx; }, function(_v) { dispArx = _v; } ); // HtmlView Page linking property 'Visibility' for element 'controlArx_Trace'
          _view.controlArx_Trace.linkProperty("InputY",  function() { return uVArx; }, function(_v) { uVArx = _v; } ); // HtmlView Page linking property 'InputY' for element 'controlArx_Trace'
          _view.controlLin_Trace.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'controlLin_Trace'
          _view.controlLin_Trace.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'controlLin_Trace'
          _view.controlLin_Trace.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'controlLin_Trace'
          _view.controlLin_Trace.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'controlLin_Trace'
          _view.controlLin_Trace.linkProperty("Visibility",  function() { return dispL; }, function(_v) { dispL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'controlLin_Trace'
          _view.controlLin_Trace.linkProperty("InputY",  function() { return uVLin; }, function(_v) { uVLin = _v; } ); // HtmlView Page linking property 'InputY' for element 'controlLin_Trace'
          _view.control_Trace.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'control_Trace'
          _view.control_Trace.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'control_Trace'
          _view.control_Trace.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'control_Trace'
          _view.control_Trace.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'control_Trace'
          _view.control_Trace.linkProperty("Visibility",  function() { return dispNL; }, function(_v) { dispNL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'control_Trace'
          _view.control_Trace.linkProperty("InputY",  function() { return uV; }, function(_v) { uV = _v; } ); // HtmlView Page linking property 'InputY' for element 'control_Trace'
          _view.objVelPlot.linkProperty("Width",  function() { return objVelTabWidth; }, function(_v) { objVelTabWidth = _v; } ); // HtmlView Page linking property 'Width' for element 'objVelPlot'
          _view.objVelPlot.linkProperty("MaximumX",  function() { return xmax; }, function(_v) { xmax = _v; } ); // HtmlView Page linking property 'MaximumX' for element 'objVelPlot'
          _view.objVelPlot.linkProperty("MinimumX",  function() { return xmin; }, function(_v) { xmin = _v; } ); // HtmlView Page linking property 'MinimumX' for element 'objVelPlot'
          _view.objVelPlot.linkProperty("Display",  function() { return dispObjVelT; }, function(_v) { dispObjVelT = _v; } ); // HtmlView Page linking property 'Display' for element 'objVelPlot'
          _view.ObjectVelLin.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'ObjectVelLin'
          _view.ObjectVelLin.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'ObjectVelLin'
          _view.ObjectVelLin.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'ObjectVelLin'
          _view.ObjectVelLin.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'ObjectVelLin'
          _view.ObjectVelLin.linkProperty("Visibility",  function() { return dispL; }, function(_v) { dispL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'ObjectVelLin'
          _view.ObjectVelLin.linkProperty("InputY",  function() { return 100*velxLin; } ); // HtmlView Page linking property 'InputY' for element 'ObjectVelLin'
          _view.ObjectVel.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'ObjectVel'
          _view.ObjectVel.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'ObjectVel'
          _view.ObjectVel.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'ObjectVel'
          _view.ObjectVel.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'ObjectVel'
          _view.ObjectVel.linkProperty("Visibility",  function() { return dispNL; }, function(_v) { dispNL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'ObjectVel'
          _view.ObjectVel.linkProperty("InputY",  function() { return 100*velx; } ); // HtmlView Page linking property 'InputY' for element 'ObjectVel'
          _view.windVelPplot.linkProperty("Width",  function() { return windVelTabWidth; }, function(_v) { windVelTabWidth = _v; } ); // HtmlView Page linking property 'Width' for element 'windVelPplot'
          _view.windVelPplot.linkProperty("MaximumX",  function() { return xmax; }, function(_v) { xmax = _v; } ); // HtmlView Page linking property 'MaximumX' for element 'windVelPplot'
          _view.windVelPplot.linkProperty("MinimumX",  function() { return xmin; }, function(_v) { xmin = _v; } ); // HtmlView Page linking property 'MinimumX' for element 'windVelPplot'
          _view.windVelPplot.linkProperty("Display",  function() { return dispWindVelT; }, function(_v) { dispWindVelT = _v; } ); // HtmlView Page linking property 'Display' for element 'windVelPplot'
          _view.windVelLin.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'windVelLin'
          _view.windVelLin.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'windVelLin'
          _view.windVelLin.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'windVelLin'
          _view.windVelLin.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'windVelLin'
          _view.windVelLin.linkProperty("Visibility",  function() { return dispL; }, function(_v) { dispL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'windVelLin'
          _view.windVelLin.linkProperty("InputY",  function() { return 100*vw; } ); // HtmlView Page linking property 'InputY' for element 'windVelLin'
          _view.windVel.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'windVel'
          _view.windVel.linkProperty("Skip",  function() { return xmin; }, function(_v) { xmin = _v; } ); // HtmlView Page linking property 'Skip' for element 'windVel'
          _view.windVel.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'windVel'
          _view.windVel.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'windVel'
          _view.windVel.linkProperty("Visibility",  function() { return dispNL; }, function(_v) { dispNL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'windVel'
          _view.windVel.linkProperty("InputY",  function() { return 100*vw; } ); // HtmlView Page linking property 'InputY' for element 'windVel'
          _view.eqPlot.linkProperty("Width",  function() { return eqTabWidth; }, function(_v) { eqTabWidth = _v; } ); // HtmlView Page linking property 'Width' for element 'eqPlot'
          _view.eqPlot.linkProperty("MaximumX",  function() { return xmax; }, function(_v) { xmax = _v; } ); // HtmlView Page linking property 'MaximumX' for element 'eqPlot'
          _view.eqPlot.linkProperty("MinimumX",  function() { return xmin; }, function(_v) { xmin = _v; } ); // HtmlView Page linking property 'MinimumX' for element 'eqPlot'
          _view.eqPlot.linkProperty("Display",  function() { return dispEqT; }, function(_v) { dispEqT = _v; } ); // HtmlView Page linking property 'Display' for element 'eqPlot'
          _view.eqLin.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'eqLin'
          _view.eqLin.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'eqLin'
          _view.eqLin.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'eqLin'
          _view.eqLin.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'eqLin'
          _view.eqLin.linkProperty("Visibility",  function() { return dispL; }, function(_v) { dispL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'eqLin'
          _view.eqLin.linkProperty("InputY",  function() { return (vwLin-velxLin)/vEq; } ); // HtmlView Page linking property 'InputY' for element 'eqLin'
          _view.eq.linkProperty("Maximum",  function() { return npoints; }, function(_v) { npoints = _v; } ); // HtmlView Page linking property 'Maximum' for element 'eq'
          _view.eq.linkProperty("Skip",  function() { return skip; }, function(_v) { skip = _v; } ); // HtmlView Page linking property 'Skip' for element 'eq'
          _view.eq.linkProperty("X",  function() { return xpos; }, function(_v) { xpos = _v; } ); // HtmlView Page linking property 'X' for element 'eq'
          _view.eq.linkProperty("InputX",  function() { return t; }, function(_v) { t = _v; } ); // HtmlView Page linking property 'InputX' for element 'eq'
          _view.eq.linkProperty("Visibility",  function() { return dispNL; }, function(_v) { dispNL = _v; } ); // HtmlView Page linking property 'Visibility' for element 'eq'
          _view.eq.linkProperty("InputY",  function() { return (vw-velx)/vEq; } ); // HtmlView Page linking property 'InputY' for element 'eq'
          _view.controlsTabButton.setAction("OnRelease", function(_data,_info) {
  dispControlsT = "flex";
  dispPhysicsT = "none";
  controlsTabColor = selectColor;
  physicsTabColor  = unSelectColor;

}); // HtmlView Page setting action 'OnRelease' for element 'controlsTabButton'
          _view.controlsTabButton.linkProperty("Background",  function() { return controlsTabColor; }, function(_v) { controlsTabColor = _v; } ); // HtmlView Page linking property 'Background' for element 'controlsTabButton'
          _view.physicsParamsTabButton.setAction("OnRelease", function(_data,_info) {
  dispControlsT = "none";
  dispPhysicsT = "inline-block";
  controlsTabColor = unSelectColor;
  physicsTabColor = selectColor;

}); // HtmlView Page setting action 'OnRelease' for element 'physicsParamsTabButton'
          _view.physicsParamsTabButton.linkProperty("Background",  function() { return physicsTabColor; }, function(_v) { physicsTabColor = _v; } ); // HtmlView Page linking property 'Background' for element 'physicsParamsTabButton'
          _view.controlsTabPanel.linkProperty("Display",  function() { return dispControlsT; }, function(_v) { dispControlsT = _v; } ); // HtmlView Page linking property 'Display' for element 'controlsTabPanel'
          _view.fanVoltTextBox.linkProperty("Value",  function() { return uV; }, function(_v) { uV = _v; } ); // HtmlView Page linking property 'Value' for element 'fanVoltTextBox'
          _view.fanVoltTextBox.linkProperty("Editable",  function() { return manualControl; }, function(_v) { manualControl = _v; } ); // HtmlView Page linking property 'Editable' for element 'fanVoltTextBox'
          _view.fanVoltTextBox.setAction("OnChange", function(_data,_info) {
  if (uV < umin) uV = umin;
  else if (uV > umax) uV = umax;
  play();

}); // HtmlView Page setting action 'OnChange' for element 'fanVoltTextBox'
          _view.fanVoltageSlider.setAction("OnRelease", function(_data,_info) {
  play();

}); // HtmlView Page setting action 'OnRelease' for element 'fanVoltageSlider'
          _view.fanVoltageSlider.linkProperty("Minimum",  function() { return umin; }, function(_v) { umin = _v; } ); // HtmlView Page linking property 'Minimum' for element 'fanVoltageSlider'
          _view.fanVoltageSlider.linkProperty("Maximum",  function() { return umax; }, function(_v) { umax = _v; } ); // HtmlView Page linking property 'Maximum' for element 'fanVoltageSlider'
          _view.fanVoltageSlider.linkProperty("Value",  function() { return uV; }, function(_v) { uV = _v; } ); // HtmlView Page linking property 'Value' for element 'fanVoltageSlider'
          _view.fanVoltageSlider.setAction("OnChange", function(_data,_info) {
  if(manualControl) uVLin = uV;

}); // HtmlView Page setting action 'OnChange' for element 'fanVoltageSlider'
          _view.fanVoltageSlider.linkProperty("Disabled",  function() { return !manualControl; } ); // HtmlView Page linking property 'Disabled' for element 'fanVoltageSlider'
          _view.referenceTextBox.linkProperty("Value",  function() { return RefXSlider; }, function(_v) { RefXSlider = _v; } ); // HtmlView Page linking property 'Value' for element 'referenceTextBox'
          _view.referenceTextBox.setAction("OnChange", function(_data,_info) {
  if (RefXSlider < 10) RefXSlider = 10;
  else if (RefXSlider > tubeHeight-2*mobileHeight-10) RefXSlider = tubeHeight-2*mobileHeight-15;
  RefX = 0.01*RefXSlider;
  if (_model.isPaused()) _play();

}); // HtmlView Page setting action 'OnChange' for element 'referenceTextBox'
          _view.referenceSlider.setAction("OnRelease", function(_data,_info) {
  RefX = 0.01*RefXSlider;
  if (_model.isPaused()) _play();

}); // HtmlView Page setting action 'OnRelease' for element 'referenceSlider'
          _view.referenceSlider.linkProperty("Maximum",  function() { return tubeHeight-2*mobileHeight-10; } ); // HtmlView Page linking property 'Maximum' for element 'referenceSlider'
          _view.referenceSlider.linkProperty("Value",  function() { return RefXSlider; }, function(_v) { RefXSlider = _v; } ); // HtmlView Page linking property 'Value' for element 'referenceSlider'
          _view.referenceSlider.linkProperty("Disabled",  function() { return manualControl; }, function(_v) { manualControl = _v; } ); // HtmlView Page linking property 'Disabled' for element 'referenceSlider'
          _view.disturbanceTextBox.linkProperty("Value",  function() { return disturbance; }, function(_v) { disturbance = _v; } ); // HtmlView Page linking property 'Value' for element 'disturbanceTextBox'
          _view.disturbanceTextBox.setAction("OnChange", function(_data,_info) {
  if (disturbance < 0) disturbance = 0;
  if (disturbance > 2) disturbance = 2;
  vw = vw + disturbance;

}); // HtmlView Page setting action 'OnChange' for element 'disturbanceTextBox'
          _view.disturbanceSlider.setAction("OnRelease", function(_data,_info) {
  vw = vw + disturbance;

}); // HtmlView Page setting action 'OnRelease' for element 'disturbanceSlider'
          _view.disturbanceSlider.linkProperty("Value",  function() { return disturbance; }, function(_v) { disturbance = _v; } ); // HtmlView Page linking property 'Value' for element 'disturbanceSlider'
          _view.manual.linkProperty("Checked",  function() { return manualTrajectory; }, function(_v) { manualTrajectory = _v; } ); // HtmlView Page linking property 'Checked' for element 'manual'
          _view.manual.setAction("OnCheckOn", function(_data,_info) {
  _resetSolvers();
  sinTrajectory = false;
  squareTrajectory = false;

}); // HtmlView Page setting action 'OnCheckOn' for element 'manual'
          _view.sinTrajectoryButton.linkProperty("Checked",  function() { return sinTrajectory; }, function(_v) { sinTrajectory = _v; } ); // HtmlView Page linking property 'Checked' for element 'sinTrajectoryButton'
          _view.sinTrajectoryButton.setAction("OnCheckOn", function(_data,_info) {
  _resetSolvers();
  manualTrajectory = false;
  squareTrajectory = false;

}); // HtmlView Page setting action 'OnCheckOn' for element 'sinTrajectoryButton'
          _view.squareTrajectoryButton.linkProperty("Checked",  function() { return squareTrajectory; }, function(_v) { squareTrajectory = _v; } ); // HtmlView Page linking property 'Checked' for element 'squareTrajectoryButton'
          _view.squareTrajectoryButton.setAction("OnCheckOn", function(_data,_info) {
  _resetSolvers();
  manualTrajectory = false;
  sinTrajectory = false;

}); // HtmlView Page setting action 'OnCheckOn' for element 'squareTrajectoryButton'
          _view.SignalParamsPanel.linkProperty("Visibility",  function() { return !manualTrajectory; } ); // HtmlView Page linking property 'Visibility' for element 'SignalParamsPanel'
          _view.amplitudeSlider.linkProperty("Value",  function() { return amplitude; }, function(_v) { amplitude = _v; } ); // HtmlView Page linking property 'Value' for element 'amplitudeSlider'
          _view.periodSlider.linkProperty("Value",  function() { return period; }, function(_v) { period = _v; } ); // HtmlView Page linking property 'Value' for element 'periodSlider'
          _view.Kp.linkProperty("Value",  function() { return Kp; }, function(_v) { Kp = _v; } ); // HtmlView Page linking property 'Value' for element 'Kp'
          _view.Kp.setAction("OnChange", function(_data,_info) {
  nlpid.setKp(Kp);
  linpid.setKp(Kp);
  arxpid.setKp(Kp);

}); // HtmlView Page setting action 'OnChange' for element 'Kp'
          _view.KpSlider.setAction("OnRelease", function(_data,_info) {
  nlpid.setKp(Kp);
  linpid.setKp(Kp);
  arxpid.setKp(Kp);

}); // HtmlView Page setting action 'OnRelease' for element 'KpSlider'
          _view.KpSlider.linkProperty("Value",  function() { return Kp; }, function(_v) { Kp = _v; } ); // HtmlView Page linking property 'Value' for element 'KpSlider'
          _view.Ti.linkProperty("Value",  function() { return Ti; }, function(_v) { Ti = _v; } ); // HtmlView Page linking property 'Value' for element 'Ti'
          _view.Ti.setAction("OnChange", function(_data,_info) {
  nlpid.setKi(Kp/Ti);
  linpid.setKi(Kp/Ti);
  arxpid.setKi(Kp/Ti);

}); // HtmlView Page setting action 'OnChange' for element 'Ti'
          _view.TiSlider.setAction("OnRelease", function(_data,_info) {
  nlpid.setKi(Kp/Ti);
  linpid.setKi(Kp/Ti);
  arxpid.setKi(Kp/Ti);

}); // HtmlView Page setting action 'OnRelease' for element 'TiSlider'
          _view.TiSlider.linkProperty("Value",  function() { return Ti; }, function(_v) { Ti = _v; } ); // HtmlView Page linking property 'Value' for element 'TiSlider'
          _view.Td.linkProperty("Value",  function() { return Td; }, function(_v) { Td = _v; } ); // HtmlView Page linking property 'Value' for element 'Td'
          _view.Td.setAction("OnChange", function(_data,_info) {
  nlpid.setKd(Kp*Td);
  linpid.setKd(Kp*Td);
  arxpid.setKd(Kp*Td);

}); // HtmlView Page setting action 'OnChange' for element 'Td'
          _view.TdSlider.setAction("OnRelease", function(_data,_info) {
  nlpid.setKd(Kp*Td);
  linpid.setKd(Kp*Td);
  arxpid.setKd(Kp*Td);

}); // HtmlView Page setting action 'OnRelease' for element 'TdSlider'
          _view.TdSlider.linkProperty("Value",  function() { return Td; }, function(_v) { Td = _v; } ); // HtmlView Page linking property 'Value' for element 'TdSlider'
          _view.physicsParams.linkProperty("Display",  function() { return dispPhysicsT; }, function(_v) { dispPhysicsT = _v; } ); // HtmlView Page linking property 'Display' for element 'physicsParams'
          _view.massSlider.setAction("OnRelease", function(_data,_info) {
  vEq = Math.sqrt(g*m/alpha);
  resizeDevice();

}); // HtmlView Page setting action 'OnRelease' for element 'massSlider'
          _view.massSlider.linkProperty("Value",  function() { return m; }, function(_v) { m = _v; } ); // HtmlView Page linking property 'Value' for element 'massSlider'
          _view.radiusSlider.setAction("OnRelease", function(_data,_info) {
  alpha = (1/2)*0.47*1230*3.1416*r*r;
  vEq = Math.sqrt(g*m/alpha);
  resizeDevice();

}); // HtmlView Page setting action 'OnRelease' for element 'radiusSlider'
          _view.radiusSlider.linkProperty("Value",  function() { return r; }, function(_v) { r = _v; } ); // HtmlView Page linking property 'Value' for element 'radiusSlider'
          _view.windVelValue.linkProperty("Value",  function() { return vw; }, function(_v) { vw = _v; } ); // HtmlView Page linking property 'Value' for element 'windVelValue'
          _view.vEqValue.linkProperty("Value",  function() { return vEq; }, function(_v) { vEq = _v; } ); // HtmlView Page linking property 'Value' for element 'vEqValue'
          _view.playButton.linkProperty("Background",  function() { return playColor; }, function(_v) { playColor = _v; } ); // HtmlView Page linking property 'Background' for element 'playButton'
          _view.playButton.linkProperty("Disabled",  function() { return !paused; } ); // HtmlView Page linking property 'Disabled' for element 'playButton'
          _view.playButton.setAction("OnClick", function(_data,_info) {
  play();

}); // HtmlView Page setting action 'OnClick' for element 'playButton'
          _view.pauseButton.linkProperty("Background",  function() { return pauseColor; }, function(_v) { pauseColor = _v; } ); // HtmlView Page linking property 'Background' for element 'pauseButton'
          _view.pauseButton.linkProperty("Disabled",  function() { return paused; }, function(_v) { paused = _v; } ); // HtmlView Page linking property 'Disabled' for element 'pauseButton'
          _view.pauseButton.setAction("OnClick", function(_data,_info) {
  pause();

}); // HtmlView Page setting action 'OnClick' for element 'pauseButton'
          _view.resetButton.setAction("OnRelease", function(_data,_info) {
  _reset();

}); // HtmlView Page setting action 'OnRelease' for element 'resetButton'
          _view.resetButton.linkProperty("Background",  function() { return resetColor; }, function(_v) { resetColor = _v; } ); // HtmlView Page linking property 'Background' for element 'resetButton'
          break;
      } // end of switch
    }; // end of new reset

    _model.setView(_view);
    _model.reset();
    _view._enableEPub();
  } // end of _selectView

  _model.setAutoplay(false);
  _model.setFPS(20);
  _model.setStepsPerDisplay(2);
  _selectView(_model._autoSelectView(_getViews())); // this includes _model.reset()
  return _model;
}
function Virtual_LevitadorAire_Arx_Datos_View (_topFrame,_viewNumber,_libraryPath,_codebasePath) {
  var _view;
  switch(_viewNumber) {
    case -10 : break; // make Lint happy
    default :
    case 0: _view = Virtual_LevitadorAire_Arx_Datos_View_0 (_topFrame); break;
  } // end of switch

  if (_codebasePath) _view._setResourcePath(_codebasePath);

  if (_libraryPath) _view._setLibraryPath(_libraryPath);


  return _view;
} // end of main function

function Virtual_LevitadorAire_Arx_Datos_View_0 (_topFrame) {
  var _view = EJSS_CORE.createView(_topFrame);

  _view._reset = function() {
    _view._clearAll();
    _view._addElement(EJSS_INTERFACE.panel,"menuPanel", _view._topFrame) // EJsS HtmlView.HtmlView Page: declaration of element 'menuPanel'
      .setProperty("Width","100%") // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'menuPanel'
      .setProperty("Background","rgb(0, 204, 255)") // EJsS HtmlView.HtmlView Page: setting property 'Background' for element 'menuPanel'
      .setProperty("Display","flex") // EJsS HtmlView.HtmlView Page: setting property 'Display' for element 'menuPanel'
      ;

    _view._addElement(EJSS_INTERFACE.comboBox,"Save", _view.menuPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'Save'
      .setProperty("Background","rgb(0, 204, 255)") // EJsS HtmlView.HtmlView Page: setting property 'Background' for element 'Save'
      .setProperty("Foreground","Black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'Save'
      ;

    _view._addElement(EJSS_INTERFACE.comboBox,"ControlMenu", _view.menuPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'ControlMenu'
      .setProperty("Background","rgb(0, 204, 255)") // EJsS HtmlView.HtmlView Page: setting property 'Background' for element 'ControlMenu'
      .setProperty("Foreground","Black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'ControlMenu'
      ;

    _view._addElement(EJSS_INTERFACE.comboBox,"modelSelector", _view.menuPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'modelSelector'
      .setProperty("Background","rgb(0, 204, 255)") // EJsS HtmlView.HtmlView Page: setting property 'Background' for element 'modelSelector'
      .setProperty("Foreground","Black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'modelSelector'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"visualPanel", _view._topFrame) // EJsS HtmlView.HtmlView Page: declaration of element 'visualPanel'
      .setProperty("Width","100%") // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'visualPanel'
      .setProperty("CSS",{   "align-items":"center",   "justify-content":"space-around",   "margin":"3px auto 1px auto",   "flex-wrap":"wrap" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'visualPanel'
      .setProperty("Display","flex") // EJsS HtmlView.HtmlView Page: setting property 'Display' for element 'visualPanel'
      ;

    _view._addElement(EJSS_DRAWING3D.drawingPanel,"drawingPanel3D", _view.visualPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'drawingPanel3D'
      .setProperty("Width","24%") // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'drawingPanel3D'
      .setProperty("Draggable","ANY") // EJsS HtmlView.HtmlView Page: setting property 'Draggable' for element 'drawingPanel3D'
      .setProperty("CSS",{   "flex-shrink":"1",   "flex-grow":"1" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'drawingPanel3D'
      .setProperty("FillColor","white") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'drawingPanel3D'
      .setProperty("CameraY",0) // EJsS HtmlView.HtmlView Page: setting property 'CameraY' for element 'drawingPanel3D'
      .setProperty("Enabled",true) // EJsS HtmlView.HtmlView Page: setting property 'Enabled' for element 'drawingPanel3D'
      .setProperty("DecorationType","NONE") // EJsS HtmlView.HtmlView Page: setting property 'DecorationType' for element 'drawingPanel3D'
      .setProperty("CameraFocusY",0) // EJsS HtmlView.HtmlView Page: setting property 'CameraFocusY' for element 'drawingPanel3D'
      .setProperty("CameraFocusX",0) // EJsS HtmlView.HtmlView Page: setting property 'CameraFocusX' for element 'drawingPanel3D'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"nlFanDevice_group3d", _view.drawingPanel3D) // EJsS HtmlView.HtmlView Page: declaration of element 'nlFanDevice_group3d'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"fanBase_group3d", _view.nlFanDevice_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBase_group3d'
      ;

    _view._addElement(EJSS_DRAWING3D.box,"fanBox_box3D", _view.fanBase_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBox_box3D'
      .setProperty("Transparency",150) // EJsS HtmlView.HtmlView Page: setting property 'Transparency' for element 'fanBox_box3D'
      .setProperty("SizeX",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanBox_box3D'
      .setProperty("SizeZ",0.5) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fanBox_box3D'
      .setProperty("Z",0.25) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBox_box3D'
      .setProperty("SizeY",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanBox_box3D'
      .setProperty("ClosedTop",false) // EJsS HtmlView.HtmlView Page: setting property 'ClosedTop' for element 'fanBox_box3D'
      ;

    _view._addElement(EJSS_DRAWING3D.surface,"fanAdaptor_surface3D", _view.fanBase_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'fanAdaptor_surface3D'
      .setProperty("Transparency",130) // EJsS HtmlView.HtmlView Page: setting property 'Transparency' for element 'fanAdaptor_surface3D'
      .setProperty("SizeX",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanAdaptor_surface3D'
      .setProperty("Z",0.5) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanAdaptor_surface3D'
      .setProperty("SizeZ",0.5) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fanAdaptor_surface3D'
      .setProperty("SizeY",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanAdaptor_surface3D'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"fan_group3d", _view.fanBase_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'fan_group3d'
      .setProperty("SizeX",0.8) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fan_group3d'
      .setProperty("SizeZ",0.6) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fan_group3d'
      .setProperty("Z",0.01) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fan_group3d'
      .setProperty("SizeY",0.8) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fan_group3d'
      ;

    _view._addElement(EJSS_DRAWING3D.cone,"fanBase_cone3d", _view.fan_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBase_cone3d'
      .setProperty("FillColor","Yellow") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'fanBase_cone3d'
      .setProperty("SizeX",0.6) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanBase_cone3d'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'fanBase_cone3d'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'fanBase_cone3d'
      .setProperty("Z",0.25) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBase_cone3d'
      .setProperty("SizeZ",0.5) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fanBase_cone3d'
      .setProperty("SizeY",0.6) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanBase_cone3d'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"fanBlades_group3d", _view.fan_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBlades_group3d'
      .setProperty("SizeX",0.7) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanBlades_group3d'
      .setProperty("SizeY",0.7) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanBlades_group3d'
      ;

    _view._addElement(EJSS_DRAWING3D.plane,"fanBlade1_plane3d", _view.fanBlades_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBlade1_plane3d'
      .setProperty("DirectionA",[0.7,1,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionA' for element 'fanBlade1_plane3d'
      .setProperty("DirectionB",[0,0.7,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionB' for element 'fanBlade1_plane3d'
      .setProperty("FillColor","Red") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'fanBlade1_plane3d'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'fanBlade1_plane3d'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'fanBlade1_plane3d'
      .setProperty("Z",0.20) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBlade1_plane3d'
      ;

    _view._addElement(EJSS_DRAWING3D.plane,"fanBlade2_plane3d", _view.fanBlades_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBlade2_plane3d'
      .setProperty("DirectionA",[-1,0.7,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionA' for element 'fanBlade2_plane3d'
      .setProperty("DirectionB",[0.7,0,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionB' for element 'fanBlade2_plane3d'
      .setProperty("FillColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'fanBlade2_plane3d'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'fanBlade2_plane3d'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'fanBlade2_plane3d'
      .setProperty("Z",0.20) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBlade2_plane3d'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"tube_group3d", _view.nlFanDevice_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'tube_group3d'
      ;

    _view._addElement(EJSS_DRAWING3D.cylinder,"tube_cylinder3d", _view.tube_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'tube_cylinder3d'
      .setProperty("ClosedBottom",false) // EJsS HtmlView.HtmlView Page: setting property 'ClosedBottom' for element 'tube_cylinder3d'
      .setProperty("Transparency",130) // EJsS HtmlView.HtmlView Page: setting property 'Transparency' for element 'tube_cylinder3d'
      .setProperty("FillColor","Gray") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'tube_cylinder3d'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'tube_cylinder3d'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'tube_cylinder3d'
      .setProperty("ClosedTop",false) // EJsS HtmlView.HtmlView Page: setting property 'ClosedTop' for element 'tube_cylinder3d'
      ;

    _view._addElement(EJSS_DRAWING3D.arrow,"reference", _view.tube_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'reference'
      .setProperty("HeadHeight",3) // EJsS HtmlView.HtmlView Page: setting property 'HeadHeight' for element 'reference'
      .setProperty("FillColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'reference'
      .setProperty("MovesGroup",false) // EJsS HtmlView.HtmlView Page: setting property 'MovesGroup' for element 'reference'
      .setProperty("SizeX",0) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'reference'
      .setProperty("HeadWidth",5) // EJsS HtmlView.HtmlView Page: setting property 'HeadWidth' for element 'reference'
      .setProperty("LineColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'reference'
      .setProperty("SizeZ",0) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'reference'
      .setProperty("SizeY",6) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'reference'
      .setProperty("EnabledPosition","ALTITUDE") // EJsS HtmlView.HtmlView Page: setting property 'EnabledPosition' for element 'reference'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"mobile_group3d", _view.tube_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'mobile_group3d'
      ;

    _view._addElement(EJSS_DRAWING3D.arrow,"mobile_arrow3d", _view.mobile_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'mobile_arrow3d'
      .setProperty("LineColor","Red") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'mobile_arrow3d'
      .setProperty("Visibility",false) // EJsS HtmlView.HtmlView Page: setting property 'Visibility' for element 'mobile_arrow3d'
      ;

    _view._addElement(EJSS_DRAWING3D.sphere,"mobileObject3d", _view.mobile_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'mobileObject3d'
      .setProperty("FillColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'mobileObject3d'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"linFanDevice_group3d", _view.drawingPanel3D) // EJsS HtmlView.HtmlView Page: declaration of element 'linFanDevice_group3d'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"fanBase_group3d2", _view.linFanDevice_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBase_group3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.box,"fanBox_box3D2", _view.fanBase_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBox_box3D2'
      .setProperty("Transparency",150) // EJsS HtmlView.HtmlView Page: setting property 'Transparency' for element 'fanBox_box3D2'
      .setProperty("SizeX",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanBox_box3D2'
      .setProperty("SizeZ",0.5) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fanBox_box3D2'
      .setProperty("Z",0.25) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBox_box3D2'
      .setProperty("SizeY",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanBox_box3D2'
      .setProperty("ClosedTop",false) // EJsS HtmlView.HtmlView Page: setting property 'ClosedTop' for element 'fanBox_box3D2'
      ;

    _view._addElement(EJSS_DRAWING3D.surface,"fanAdaptor_surface3D2", _view.fanBase_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'fanAdaptor_surface3D2'
      .setProperty("Transparency",130) // EJsS HtmlView.HtmlView Page: setting property 'Transparency' for element 'fanAdaptor_surface3D2'
      .setProperty("SizeX",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanAdaptor_surface3D2'
      .setProperty("Z",0.5) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanAdaptor_surface3D2'
      .setProperty("SizeZ",0.5) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fanAdaptor_surface3D2'
      .setProperty("SizeY",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanAdaptor_surface3D2'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"fan_group3d2", _view.fanBase_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'fan_group3d2'
      .setProperty("SizeX",0.8) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fan_group3d2'
      .setProperty("SizeZ",0.6) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fan_group3d2'
      .setProperty("Z",0.01) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fan_group3d2'
      .setProperty("SizeY",0.8) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fan_group3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.cone,"fanBase_cone3d2", _view.fan_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBase_cone3d2'
      .setProperty("FillColor","Yellow") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'fanBase_cone3d2'
      .setProperty("SizeX",0.6) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanBase_cone3d2'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'fanBase_cone3d2'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'fanBase_cone3d2'
      .setProperty("Z",0.25) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBase_cone3d2'
      .setProperty("SizeZ",0.5) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fanBase_cone3d2'
      .setProperty("SizeY",0.6) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanBase_cone3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"fanBlades_group3d2", _view.fan_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBlades_group3d2'
      .setProperty("SizeX",0.7) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanBlades_group3d2'
      .setProperty("SizeY",0.7) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanBlades_group3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.plane,"fanBlade1_plane3d2", _view.fanBlades_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBlade1_plane3d2'
      .setProperty("DirectionA",[0.7,1,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionA' for element 'fanBlade1_plane3d2'
      .setProperty("DirectionB",[0,0.7,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionB' for element 'fanBlade1_plane3d2'
      .setProperty("FillColor","Red") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'fanBlade1_plane3d2'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'fanBlade1_plane3d2'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'fanBlade1_plane3d2'
      .setProperty("Z",0.20) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBlade1_plane3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.plane,"fanBlade2_plane3d2", _view.fanBlades_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBlade2_plane3d2'
      .setProperty("DirectionA",[-1,0.7,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionA' for element 'fanBlade2_plane3d2'
      .setProperty("DirectionB",[0.7,0,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionB' for element 'fanBlade2_plane3d2'
      .setProperty("FillColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'fanBlade2_plane3d2'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'fanBlade2_plane3d2'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'fanBlade2_plane3d2'
      .setProperty("Z",0.20) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBlade2_plane3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"tube_group3d2", _view.linFanDevice_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'tube_group3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.cylinder,"tube_cylinder3d2", _view.tube_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'tube_cylinder3d2'
      .setProperty("ClosedBottom",false) // EJsS HtmlView.HtmlView Page: setting property 'ClosedBottom' for element 'tube_cylinder3d2'
      .setProperty("Transparency",130) // EJsS HtmlView.HtmlView Page: setting property 'Transparency' for element 'tube_cylinder3d2'
      .setProperty("FillColor","Gray") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'tube_cylinder3d2'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'tube_cylinder3d2'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'tube_cylinder3d2'
      .setProperty("ClosedTop",false) // EJsS HtmlView.HtmlView Page: setting property 'ClosedTop' for element 'tube_cylinder3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.arrow,"reference2", _view.tube_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'reference2'
      .setProperty("HeadHeight",3) // EJsS HtmlView.HtmlView Page: setting property 'HeadHeight' for element 'reference2'
      .setProperty("FillColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'reference2'
      .setProperty("MovesGroup",false) // EJsS HtmlView.HtmlView Page: setting property 'MovesGroup' for element 'reference2'
      .setProperty("SizeX",0) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'reference2'
      .setProperty("HeadWidth",5) // EJsS HtmlView.HtmlView Page: setting property 'HeadWidth' for element 'reference2'
      .setProperty("LineColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'reference2'
      .setProperty("SizeZ",0) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'reference2'
      .setProperty("SizeY",6) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'reference2'
      .setProperty("EnabledPosition","ALTITUDE") // EJsS HtmlView.HtmlView Page: setting property 'EnabledPosition' for element 'reference2'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"mobile_group3d2", _view.tube_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'mobile_group3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.arrow,"mobile_arrow3d2", _view.mobile_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'mobile_arrow3d2'
      .setProperty("SizeX",0) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'mobile_arrow3d2'
      .setProperty("LineColor","Red") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'mobile_arrow3d2'
      .setProperty("Visibility",false) // EJsS HtmlView.HtmlView Page: setting property 'Visibility' for element 'mobile_arrow3d2'
      .setProperty("SizeY",0) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'mobile_arrow3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.sphere,"mobileObject3d2", _view.mobile_group3d2) // EJsS HtmlView.HtmlView Page: declaration of element 'mobileObject3d2'
      .setProperty("FillColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'mobileObject3d2'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"arxFanDevice_group3d", _view.drawingPanel3D) // EJsS HtmlView.HtmlView Page: declaration of element 'arxFanDevice_group3d'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"fanBase_group3d3", _view.arxFanDevice_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBase_group3d3'
      ;

    _view._addElement(EJSS_DRAWING3D.box,"fanBox_box3D3", _view.fanBase_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBox_box3D3'
      .setProperty("Transparency",150) // EJsS HtmlView.HtmlView Page: setting property 'Transparency' for element 'fanBox_box3D3'
      .setProperty("SizeX",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanBox_box3D3'
      .setProperty("SizeZ",0.5) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fanBox_box3D3'
      .setProperty("Z",0.25) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBox_box3D3'
      .setProperty("SizeY",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanBox_box3D3'
      .setProperty("ClosedTop",false) // EJsS HtmlView.HtmlView Page: setting property 'ClosedTop' for element 'fanBox_box3D3'
      ;

    _view._addElement(EJSS_DRAWING3D.surface,"fanAdaptor_surface3D3", _view.fanBase_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'fanAdaptor_surface3D3'
      .setProperty("Transparency",130) // EJsS HtmlView.HtmlView Page: setting property 'Transparency' for element 'fanAdaptor_surface3D3'
      .setProperty("SizeX",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanAdaptor_surface3D3'
      .setProperty("Z",0.5) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanAdaptor_surface3D3'
      .setProperty("SizeZ",0.5) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fanAdaptor_surface3D3'
      .setProperty("SizeY",1) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanAdaptor_surface3D3'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"fan_group3d3", _view.fanBase_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'fan_group3d3'
      .setProperty("SizeX",0.8) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fan_group3d3'
      .setProperty("SizeZ",0.6) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fan_group3d3'
      .setProperty("Z",0.01) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fan_group3d3'
      .setProperty("SizeY",0.8) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fan_group3d3'
      ;

    _view._addElement(EJSS_DRAWING3D.cone,"fanBase_cone3d3", _view.fan_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBase_cone3d3'
      .setProperty("FillColor","Yellow") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'fanBase_cone3d3'
      .setProperty("SizeX",0.6) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanBase_cone3d3'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'fanBase_cone3d3'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'fanBase_cone3d3'
      .setProperty("Z",0.25) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBase_cone3d3'
      .setProperty("SizeZ",0.5) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'fanBase_cone3d3'
      .setProperty("SizeY",0.6) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanBase_cone3d3'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"fanBlades_group3d3", _view.fan_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBlades_group3d3'
      .setProperty("SizeX",0.7) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'fanBlades_group3d3'
      .setProperty("SizeY",0.7) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'fanBlades_group3d3'
      ;

    _view._addElement(EJSS_DRAWING3D.plane,"fanBlade1_plane3d3", _view.fanBlades_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBlade1_plane3d3'
      .setProperty("DirectionA",[0.7,1,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionA' for element 'fanBlade1_plane3d3'
      .setProperty("DirectionB",[0,0.7,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionB' for element 'fanBlade1_plane3d3'
      .setProperty("FillColor","Red") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'fanBlade1_plane3d3'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'fanBlade1_plane3d3'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'fanBlade1_plane3d3'
      .setProperty("Z",0.20) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBlade1_plane3d3'
      ;

    _view._addElement(EJSS_DRAWING3D.plane,"fanBlade2_plane3d3", _view.fanBlades_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'fanBlade2_plane3d3'
      .setProperty("DirectionA",[-1,0.7,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionA' for element 'fanBlade2_plane3d3'
      .setProperty("DirectionB",[0.7,0,0]) // EJsS HtmlView.HtmlView Page: setting property 'DirectionB' for element 'fanBlade2_plane3d3'
      .setProperty("FillColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'fanBlade2_plane3d3'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'fanBlade2_plane3d3'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'fanBlade2_plane3d3'
      .setProperty("Z",0.20) // EJsS HtmlView.HtmlView Page: setting property 'Z' for element 'fanBlade2_plane3d3'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"tube_group3d3", _view.arxFanDevice_group3d) // EJsS HtmlView.HtmlView Page: declaration of element 'tube_group3d3'
      ;

    _view._addElement(EJSS_DRAWING3D.cylinder,"tube_cylinder3d3", _view.tube_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'tube_cylinder3d3'
      .setProperty("ClosedBottom",false) // EJsS HtmlView.HtmlView Page: setting property 'ClosedBottom' for element 'tube_cylinder3d3'
      .setProperty("Transparency",130) // EJsS HtmlView.HtmlView Page: setting property 'Transparency' for element 'tube_cylinder3d3'
      .setProperty("FillColor","Gray") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'tube_cylinder3d3'
      .setProperty("X",0) // EJsS HtmlView.HtmlView Page: setting property 'X' for element 'tube_cylinder3d3'
      .setProperty("Y",0) // EJsS HtmlView.HtmlView Page: setting property 'Y' for element 'tube_cylinder3d3'
      .setProperty("ClosedTop",false) // EJsS HtmlView.HtmlView Page: setting property 'ClosedTop' for element 'tube_cylinder3d3'
      ;

    _view._addElement(EJSS_DRAWING3D.arrow,"reference3", _view.tube_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'reference3'
      .setProperty("HeadHeight",3) // EJsS HtmlView.HtmlView Page: setting property 'HeadHeight' for element 'reference3'
      .setProperty("FillColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'reference3'
      .setProperty("MovesGroup",false) // EJsS HtmlView.HtmlView Page: setting property 'MovesGroup' for element 'reference3'
      .setProperty("SizeX",0) // EJsS HtmlView.HtmlView Page: setting property 'SizeX' for element 'reference3'
      .setProperty("HeadWidth",5) // EJsS HtmlView.HtmlView Page: setting property 'HeadWidth' for element 'reference3'
      .setProperty("LineColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'reference3'
      .setProperty("SizeZ",0) // EJsS HtmlView.HtmlView Page: setting property 'SizeZ' for element 'reference3'
      .setProperty("SizeY",6) // EJsS HtmlView.HtmlView Page: setting property 'SizeY' for element 'reference3'
      .setProperty("EnabledPosition","ALTITUDE") // EJsS HtmlView.HtmlView Page: setting property 'EnabledPosition' for element 'reference3'
      ;

    _view._addElement(EJSS_DRAWING3D.group,"mobile_group3d3", _view.tube_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'mobile_group3d3'
      ;

    _view._addElement(EJSS_DRAWING3D.sphere,"mobileObject3d3", _view.mobile_group3d3) // EJsS HtmlView.HtmlView Page: declaration of element 'mobileObject3d3'
      .setProperty("FillColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'FillColor' for element 'mobileObject3d3'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"graphsPanel", _view.visualPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'graphsPanel'
      .setProperty("Height","100%") // EJsS HtmlView.HtmlView Page: setting property 'Height' for element 'graphsPanel'
      .setProperty("Width","75%") // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'graphsPanel'
      .setProperty("CSS",{   "margin":"5px 0px 5px 5px",   "flex-shrink":"8",   "flex-grow":"8" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'graphsPanel'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"graphsTabSelectors", _view.graphsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'graphsTabSelectors'
      .setProperty("CSS",{   "margin-top":"5px",   "margin-bottom":"5px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'graphsTabSelectors'
      ;

    _view._addElement(EJSS_INTERFACE.button,"positionTabButton", _view.graphsTabSelectors) // EJsS HtmlView.HtmlView Page: declaration of element 'positionTabButton'
      .setProperty("CSS",{   "margin-right":"1px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'positionTabButton'
      .setProperty("Text","Position") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'positionTabButton'
      ;

    _view._addElement(EJSS_INTERFACE.button,"objVelTabButton", _view.graphsTabSelectors) // EJsS HtmlView.HtmlView Page: declaration of element 'objVelTabButton'
      .setProperty("CSS",{   "margin-left":"1px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'objVelTabButton'
      .setProperty("Text","Object velocity") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'objVelTabButton'
      ;

    _view._addElement(EJSS_INTERFACE.button,"windVelTabButton", _view.graphsTabSelectors) // EJsS HtmlView.HtmlView Page: declaration of element 'windVelTabButton'
      .setProperty("CSS",{   "margin-left":"1px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'windVelTabButton'
      .setProperty("Text","Wind velocity") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'windVelTabButton'
      ;

    _view._addElement(EJSS_INTERFACE.button,"eqTabButton", _view.graphsTabSelectors) // EJsS HtmlView.HtmlView Page: declaration of element 'eqTabButton'
      .setProperty("CSS",{   "margin-left":"1px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'eqTabButton'
      .setProperty("Text","Equilibrium") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'eqTabButton'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"positionAndcontrol", _view.graphsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'positionAndcontrol'
      .setProperty("CSS",{   "flex-direction":"column" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'positionAndcontrol'
      ;

    _view._addElement(EJSS_DRAWING2D.plottingPanel,"positionPlot", _view.positionAndcontrol) // EJsS HtmlView.HtmlView Page: declaration of element 'positionPlot'
      .setProperty("Height",250) // EJsS HtmlView.HtmlView Page: setting property 'Height' for element 'positionPlot'
      .setProperty("Width","100%") // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'positionPlot'
      .setProperty("Title","Object Position") // EJsS HtmlView.HtmlView Page: setting property 'Title' for element 'positionPlot'
      .setProperty("GuttersLineColor","White") // EJsS HtmlView.HtmlView Page: setting property 'GuttersLineColor' for element 'positionPlot'
      .setProperty("MinimumY",0) // EJsS HtmlView.HtmlView Page: setting property 'MinimumY' for element 'positionPlot'
      .setProperty("TitleY","Position (cm)") // EJsS HtmlView.HtmlView Page: setting property 'TitleY' for element 'positionPlot'
      .setProperty("AutoScaleY",false) // EJsS HtmlView.HtmlView Page: setting property 'AutoScaleY' for element 'positionPlot'
      .setProperty("TitleX","Time (s)") // EJsS HtmlView.HtmlView Page: setting property 'TitleX' for element 'positionPlot'
      .setProperty("AutoScaleX",false) // EJsS HtmlView.HtmlView Page: setting property 'AutoScaleX' for element 'positionPlot'
      .setProperty("GuttersColor","white") // EJsS HtmlView.HtmlView Page: setting property 'GuttersColor' for element 'positionPlot'
      .setProperty("LineWidth",0) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'positionPlot'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"positionArx_Trace", _view.positionPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'positionArx_Trace'
      .setProperty("LineColor","Red") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'positionArx_Trace'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'positionArx_Trace'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'positionArx_Trace'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"positionLin_Trace", _view.positionPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'positionLin_Trace'
      .setProperty("LineColor","Magenta") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'positionLin_Trace'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'positionLin_Trace'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'positionLin_Trace'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"position_Trace", _view.positionPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'position_Trace'
      .setProperty("LineColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'position_Trace'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'position_Trace'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'position_Trace'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"posReference_trace", _view.positionPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'posReference_trace'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'posReference_trace'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'posReference_trace'
      ;

    _view._addElement(EJSS_DRAWING2D.plottingPanel,"controlPlot", _view.positionAndcontrol) // EJsS HtmlView.HtmlView Page: declaration of element 'controlPlot'
      .setProperty("Height",250) // EJsS HtmlView.HtmlView Page: setting property 'Height' for element 'controlPlot'
      .setProperty("Width","100%") // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'controlPlot'
      .setProperty("Title","Control Action") // EJsS HtmlView.HtmlView Page: setting property 'Title' for element 'controlPlot'
      .setProperty("GuttersLineColor","White") // EJsS HtmlView.HtmlView Page: setting property 'GuttersLineColor' for element 'controlPlot'
      .setProperty("TitleY","Voltage (V)") // EJsS HtmlView.HtmlView Page: setting property 'TitleY' for element 'controlPlot'
      .setProperty("AutoScaleY",false) // EJsS HtmlView.HtmlView Page: setting property 'AutoScaleY' for element 'controlPlot'
      .setProperty("TitleX","Time (s)") // EJsS HtmlView.HtmlView Page: setting property 'TitleX' for element 'controlPlot'
      .setProperty("AutoScaleX",false) // EJsS HtmlView.HtmlView Page: setting property 'AutoScaleX' for element 'controlPlot'
      .setProperty("GuttersColor","white") // EJsS HtmlView.HtmlView Page: setting property 'GuttersColor' for element 'controlPlot'
      .setProperty("LineWidth",0) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'controlPlot'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"controlArx_Trace", _view.controlPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'controlArx_Trace'
      .setProperty("LineColor","Red") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'controlArx_Trace'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'controlArx_Trace'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'controlArx_Trace'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"controlLin_Trace", _view.controlPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'controlLin_Trace'
      .setProperty("LineColor","Magenta") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'controlLin_Trace'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'controlLin_Trace'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'controlLin_Trace'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"control_Trace", _view.controlPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'control_Trace'
      .setProperty("LineColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'control_Trace'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'control_Trace'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'control_Trace'
      ;

    _view._addElement(EJSS_DRAWING2D.plottingPanel,"objVelPlot", _view.graphsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'objVelPlot'
      .setProperty("Height",500) // EJsS HtmlView.HtmlView Page: setting property 'Height' for element 'objVelPlot'
      .setProperty("Title","Object Velocity") // EJsS HtmlView.HtmlView Page: setting property 'Title' for element 'objVelPlot'
      .setProperty("GuttersLineColor","White") // EJsS HtmlView.HtmlView Page: setting property 'GuttersLineColor' for element 'objVelPlot'
      .setProperty("AxisXShow",true) // EJsS HtmlView.HtmlView Page: setting property 'AxisXShow' for element 'objVelPlot'
      .setProperty("AxisXLineColor","Black") // EJsS HtmlView.HtmlView Page: setting property 'AxisXLineColor' for element 'objVelPlot'
      .setProperty("TitleY","Velocity (cm/s)") // EJsS HtmlView.HtmlView Page: setting property 'TitleY' for element 'objVelPlot'
      .setProperty("AutoScaleY",true) // EJsS HtmlView.HtmlView Page: setting property 'AutoScaleY' for element 'objVelPlot'
      .setProperty("TitleX","Time (s)") // EJsS HtmlView.HtmlView Page: setting property 'TitleX' for element 'objVelPlot'
      .setProperty("AutoScaleX",false) // EJsS HtmlView.HtmlView Page: setting property 'AutoScaleX' for element 'objVelPlot'
      .setProperty("GuttersColor","White") // EJsS HtmlView.HtmlView Page: setting property 'GuttersColor' for element 'objVelPlot'
      .setProperty("LineWidth",0) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'objVelPlot'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"ObjectVelLin", _view.objVelPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'ObjectVelLin'
      .setProperty("LineColor","Magenta") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'ObjectVelLin'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'ObjectVelLin'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'ObjectVelLin'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"ObjectVel", _view.objVelPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'ObjectVel'
      .setProperty("LineColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'ObjectVel'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'ObjectVel'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'ObjectVel'
      ;

    _view._addElement(EJSS_DRAWING2D.plottingPanel,"windVelPplot", _view.graphsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'windVelPplot'
      .setProperty("Height",500) // EJsS HtmlView.HtmlView Page: setting property 'Height' for element 'windVelPplot'
      .setProperty("Title","Wind Velocity") // EJsS HtmlView.HtmlView Page: setting property 'Title' for element 'windVelPplot'
      .setProperty("GuttersLineColor","White") // EJsS HtmlView.HtmlView Page: setting property 'GuttersLineColor' for element 'windVelPplot'
      .setProperty("TitleY","Velocity (cm/s)") // EJsS HtmlView.HtmlView Page: setting property 'TitleY' for element 'windVelPplot'
      .setProperty("AutoScaleY",true) // EJsS HtmlView.HtmlView Page: setting property 'AutoScaleY' for element 'windVelPplot'
      .setProperty("TitleX","Time (s)") // EJsS HtmlView.HtmlView Page: setting property 'TitleX' for element 'windVelPplot'
      .setProperty("AutoScaleX",false) // EJsS HtmlView.HtmlView Page: setting property 'AutoScaleX' for element 'windVelPplot'
      .setProperty("GuttersColor","White") // EJsS HtmlView.HtmlView Page: setting property 'GuttersColor' for element 'windVelPplot'
      .setProperty("LineWidth",0) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'windVelPplot'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"windVelLin", _view.windVelPplot) // EJsS HtmlView.HtmlView Page: declaration of element 'windVelLin'
      .setProperty("LineColor","Magenta") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'windVelLin'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'windVelLin'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'windVelLin'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"windVel", _view.windVelPplot) // EJsS HtmlView.HtmlView Page: declaration of element 'windVel'
      .setProperty("LineColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'windVel'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'windVel'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'windVel'
      ;

    _view._addElement(EJSS_DRAWING2D.plottingPanel,"eqPlot", _view.graphsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'eqPlot'
      .setProperty("Height",500) // EJsS HtmlView.HtmlView Page: setting property 'Height' for element 'eqPlot'
      .setProperty("Title","Proximity to Equilibrium") // EJsS HtmlView.HtmlView Page: setting property 'Title' for element 'eqPlot'
      .setProperty("GuttersLineColor","White") // EJsS HtmlView.HtmlView Page: setting property 'GuttersLineColor' for element 'eqPlot'
      .setProperty("TitleY","Equilibrium point at 1") // EJsS HtmlView.HtmlView Page: setting property 'TitleY' for element 'eqPlot'
      .setProperty("AutoScaleY",true) // EJsS HtmlView.HtmlView Page: setting property 'AutoScaleY' for element 'eqPlot'
      .setProperty("TitleX","Time (s)") // EJsS HtmlView.HtmlView Page: setting property 'TitleX' for element 'eqPlot'
      .setProperty("AutoScaleX",false) // EJsS HtmlView.HtmlView Page: setting property 'AutoScaleX' for element 'eqPlot'
      .setProperty("GuttersColor","White") // EJsS HtmlView.HtmlView Page: setting property 'GuttersColor' for element 'eqPlot'
      .setProperty("LineWidth",0) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'eqPlot'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"eqLin", _view.eqPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'eqLin'
      .setProperty("LineColor","Magenta") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'eqLin'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'eqLin'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'eqLin'
      ;

    _view._addElement(EJSS_DRAWING2D.trace,"eq", _view.eqPlot) // EJsS HtmlView.HtmlView Page: declaration of element 'eq'
      .setProperty("LineColor","Blue") // EJsS HtmlView.HtmlView Page: setting property 'LineColor' for element 'eq'
      .setProperty("NoRepeat",true) // EJsS HtmlView.HtmlView Page: setting property 'NoRepeat' for element 'eq'
      .setProperty("LineWidth",1.5) // EJsS HtmlView.HtmlView Page: setting property 'LineWidth' for element 'eq'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"controlsPanel", _view._topFrame) // EJsS HtmlView.HtmlView Page: declaration of element 'controlsPanel'
      .setProperty("Width","100%") // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'controlsPanel'
      .setProperty("BorderStyle","ridge") // EJsS HtmlView.HtmlView Page: setting property 'BorderStyle' for element 'controlsPanel'
      .setProperty("BorderColor","rgb(0, 204, 255)") // EJsS HtmlView.HtmlView Page: setting property 'BorderColor' for element 'controlsPanel'
      .setProperty("BorderWidth",3) // EJsS HtmlView.HtmlView Page: setting property 'BorderWidth' for element 'controlsPanel'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"controlTabSelectors", _view.controlsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'controlTabSelectors'
      .setProperty("CSS",{   "margin-top":"5px",   "margin-bottom":"5px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'controlTabSelectors'
      ;

    _view._addElement(EJSS_INTERFACE.button,"controlsTabButton", _view.controlTabSelectors) // EJsS HtmlView.HtmlView Page: declaration of element 'controlsTabButton'
      .setProperty("CSS",{   "margin-right":"1px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'controlsTabButton'
      .setProperty("Text","Controls") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'controlsTabButton'
      ;

    _view._addElement(EJSS_INTERFACE.button,"physicsParamsTabButton", _view.controlTabSelectors) // EJsS HtmlView.HtmlView Page: declaration of element 'physicsParamsTabButton'
      .setProperty("CSS",{   "margin-left":"1px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'physicsParamsTabButton'
      .setProperty("Text","Parameters") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'physicsParamsTabButton'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"controlsTabPanel", _view.controlsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'controlsTabPanel'
      .setProperty("CSS",{   "margin-top":"10px",   "margin-bottom":"10px",   "flex-wrap":"wrap",   "justify-content":"space-evenly" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'controlsTabPanel'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"ControlPanel", _view.controlsTabPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'ControlPanel'
      .setProperty("CSS",{   "margin":"10px 0px 10px 0" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'ControlPanel'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"controlLabel", _view.ControlPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'controlLabel'
      .setProperty("Foreground","Blue") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'controlLabel'
      .setProperty("Text","Control") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'controlLabel'
      .setProperty("Font","normal bold 18px Arial, Helvetica, sans-serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'controlLabel'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"VoltRefPanel", _view.ControlPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'VoltRefPanel'
      .setProperty("CSS",{   "margin-top":"4px",   "grid-template-columns":"auto auto auto",   "grid-template-rows":"auto auto",   "grid-column-gap":"2px",   "grid-row-gap":"12px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'VoltRefPanel'
      .setProperty("Display","grid") // EJsS HtmlView.HtmlView Page: setting property 'Display' for element 'VoltRefPanel'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"fanVolt_label", _view.VoltRefPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'fanVolt_label'
      .setProperty("TextAlign","right") // EJsS HtmlView.HtmlView Page: setting property 'TextAlign' for element 'fanVolt_label'
      .setProperty("Foreground","Blue") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'fanVolt_label'
      .setProperty("Text","Voltage (V) = ") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'fanVolt_label'
      .setProperty("Font","normal normal 18px Arial, Helvetica, sans-serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'fanVolt_label'
      ;

    _view._addElement(EJSS_INTERFACE.numberField,"fanVoltTextBox", _view.VoltRefPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'fanVoltTextBox'
      .setProperty("Width",70) // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'fanVoltTextBox'
      .setProperty("Format","#.#") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'fanVoltTextBox'
      .setProperty("Background","white") // EJsS HtmlView.HtmlView Page: setting property 'Background' for element 'fanVoltTextBox'
      .setProperty("Font","normal normal 18px Georgia, serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'fanVoltTextBox'
      ;

    _view._addElement(EJSS_INTERFACE.slider,"fanVoltageSlider", _view.VoltRefPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'fanVoltageSlider'
      .setProperty("Step",0.01) // EJsS HtmlView.HtmlView Page: setting property 'Step' for element 'fanVoltageSlider'
      .setProperty("Font","normal normal 18px Georgia, serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'fanVoltageSlider'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"referenceLabel", _view.VoltRefPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'referenceLabel'
      .setProperty("TextAlign","right") // EJsS HtmlView.HtmlView Page: setting property 'TextAlign' for element 'referenceLabel'
      .setProperty("Foreground","Blue") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'referenceLabel'
      .setProperty("Text","Setpoint (cm) = ") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'referenceLabel'
      .setProperty("Font","normal normal 18px Arial, Helvetica, sans-serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'referenceLabel'
      ;

    _view._addElement(EJSS_INTERFACE.numberField,"referenceTextBox", _view.VoltRefPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'referenceTextBox'
      .setProperty("Width",70) // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'referenceTextBox'
      .setProperty("Format","#") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'referenceTextBox'
      .setProperty("Background","white") // EJsS HtmlView.HtmlView Page: setting property 'Background' for element 'referenceTextBox'
      .setProperty("Font","normal normal 18px Georgia, serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'referenceTextBox'
      ;

    _view._addElement(EJSS_INTERFACE.slider,"referenceSlider", _view.VoltRefPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'referenceSlider'
      .setProperty("Minimum",0) // EJsS HtmlView.HtmlView Page: setting property 'Minimum' for element 'referenceSlider'
      .setProperty("Step",5) // EJsS HtmlView.HtmlView Page: setting property 'Step' for element 'referenceSlider'
      .setProperty("Font","normal normal 18px Georgia, serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'referenceSlider'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"disturbanceLabel", _view.VoltRefPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'disturbanceLabel'
      .setProperty("TextAlign","right") // EJsS HtmlView.HtmlView Page: setting property 'TextAlign' for element 'disturbanceLabel'
      .setProperty("Foreground","Red") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'disturbanceLabel'
      .setProperty("Text","Disturbance (m/s) = ") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'disturbanceLabel'
      .setProperty("Font","normal normal 18px Arial, Helvetica, sans-serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'disturbanceLabel'
      ;

    _view._addElement(EJSS_INTERFACE.numberField,"disturbanceTextBox", _view.VoltRefPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'disturbanceTextBox'
      .setProperty("Width",70) // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'disturbanceTextBox'
      .setProperty("Format","0.0") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'disturbanceTextBox'
      .setProperty("Background","white") // EJsS HtmlView.HtmlView Page: setting property 'Background' for element 'disturbanceTextBox'
      .setProperty("Font","normal normal 18px Georgia, serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'disturbanceTextBox'
      ;

    _view._addElement(EJSS_INTERFACE.slider,"disturbanceSlider", _view.VoltRefPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'disturbanceSlider'
      .setProperty("Minimum",0) // EJsS HtmlView.HtmlView Page: setting property 'Minimum' for element 'disturbanceSlider'
      .setProperty("Maximum",2) // EJsS HtmlView.HtmlView Page: setting property 'Maximum' for element 'disturbanceSlider'
      .setProperty("Step",0.5) // EJsS HtmlView.HtmlView Page: setting property 'Step' for element 'disturbanceSlider'
      .setProperty("Font","normal normal 18px Arial, Helvetica, sans-serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'disturbanceSlider'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"TrajectoryPanel", _view.controlsTabPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'TrajectoryPanel'
      .setProperty("CSS",{   "margin":"10px 0 10px 0" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'TrajectoryPanel'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"TrajectoryLabel", _view.TrajectoryPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'TrajectoryLabel'
      .setProperty("Foreground","Blue") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'TrajectoryLabel'
      .setProperty("Text","Trajectory") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'TrajectoryLabel'
      .setProperty("Font","normal bold 18px Arial, Helvetica, sans-serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'TrajectoryLabel'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"TypePanel", _view.TrajectoryPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'TypePanel'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"Trajectory", _view.TypePanel) // EJsS HtmlView.HtmlView Page: declaration of element 'Trajectory'
      .setProperty("Foreground","black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'Trajectory'
      .setProperty("Text","Mode:") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'Trajectory'
      ;

    _view._addElement(EJSS_INTERFACE.radioButton,"manual", _view.TypePanel) // EJsS HtmlView.HtmlView Page: declaration of element 'manual'
      .setProperty("Text","Manual") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'manual'
      ;

    _view._addElement(EJSS_INTERFACE.radioButton,"sinTrajectoryButton", _view.TypePanel) // EJsS HtmlView.HtmlView Page: declaration of element 'sinTrajectoryButton'
      .setProperty("Text","Sine") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'sinTrajectoryButton'
      ;

    _view._addElement(EJSS_INTERFACE.radioButton,"squareTrajectoryButton", _view.TypePanel) // EJsS HtmlView.HtmlView Page: declaration of element 'squareTrajectoryButton'
      .setProperty("Text","Square") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'squareTrajectoryButton'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"SignalParamsPanel", _view.TrajectoryPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'SignalParamsPanel'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"amplitudePanel", _view.SignalParamsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'amplitudePanel'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"amplitudeLabel", _view.amplitudePanel) // EJsS HtmlView.HtmlView Page: declaration of element 'amplitudeLabel'
      .setProperty("Width","120px") // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'amplitudeLabel'
      .setProperty("Foreground","black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'amplitudeLabel'
      .setProperty("Text","Amplitude (cm):") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'amplitudeLabel'
      ;

    _view._addElement(EJSS_INTERFACE.slider,"amplitudeSlider", _view.amplitudePanel) // EJsS HtmlView.HtmlView Page: declaration of element 'amplitudeSlider'
      .setProperty("Minimum",4) // EJsS HtmlView.HtmlView Page: setting property 'Minimum' for element 'amplitudeSlider'
      .setProperty("Maximum",20) // EJsS HtmlView.HtmlView Page: setting property 'Maximum' for element 'amplitudeSlider'
      .setProperty("ShowText",true) // EJsS HtmlView.HtmlView Page: setting property 'ShowText' for element 'amplitudeSlider'
      .setProperty("Format","#.#") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'amplitudeSlider'
      .setProperty("Step",0.1) // EJsS HtmlView.HtmlView Page: setting property 'Step' for element 'amplitudeSlider'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"periodPanel", _view.SignalParamsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'periodPanel'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"periodLabel", _view.periodPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'periodLabel'
      .setProperty("Width","120px") // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'periodLabel'
      .setProperty("Foreground","black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'periodLabel'
      .setProperty("Text","Period (s):") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'periodLabel'
      ;

    _view._addElement(EJSS_INTERFACE.slider,"periodSlider", _view.periodPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'periodSlider'
      .setProperty("ShowText",true) // EJsS HtmlView.HtmlView Page: setting property 'ShowText' for element 'periodSlider'
      .setProperty("Minimum",5) // EJsS HtmlView.HtmlView Page: setting property 'Minimum' for element 'periodSlider'
      .setProperty("Maximum",40) // EJsS HtmlView.HtmlView Page: setting property 'Maximum' for element 'periodSlider'
      .setProperty("Format","#.#") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'periodSlider'
      .setProperty("Step",0.1) // EJsS HtmlView.HtmlView Page: setting property 'Step' for element 'periodSlider'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"PID_Panel", _view.controlsTabPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'PID_Panel'
      .setProperty("CSS",{   "margin":"10px 0 10px 0" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'PID_Panel'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"pidParamLabel", _view.PID_Panel) // EJsS HtmlView.HtmlView Page: declaration of element 'pidParamLabel'
      .setProperty("Foreground","Blue") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'pidParamLabel'
      .setProperty("Text","PID Parameters") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'pidParamLabel'
      .setProperty("Font","normal bold 18px Arial, Helvetica, sans-serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'pidParamLabel'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"PositionPID", _view.PID_Panel) // EJsS HtmlView.HtmlView Page: declaration of element 'PositionPID'
      .setProperty("CSS",{   "margin-top":"4px",   "grid-template-columns":"auto auto auto",   "grid-template-rows":"auto auto auto auto",   "grid-column-gap":"2px",   "grid-row-gap":"6px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'PositionPID'
      .setProperty("Display","grid") // EJsS HtmlView.HtmlView Page: setting property 'Display' for element 'PositionPID'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"kp_label", _view.PositionPID) // EJsS HtmlView.HtmlView Page: declaration of element 'kp_label'
      .setProperty("TextAlign","right") // EJsS HtmlView.HtmlView Page: setting property 'TextAlign' for element 'kp_label'
      .setProperty("Foreground","black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'kp_label'
      .setProperty("Text","Kp = ") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'kp_label'
      ;

    _view._addElement(EJSS_INTERFACE.numberField,"Kp", _view.PositionPID) // EJsS HtmlView.HtmlView Page: declaration of element 'Kp'
      .setProperty("Width",70) // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'Kp'
      .setProperty("Format","0.##") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'Kp'
      ;

    _view._addElement(EJSS_INTERFACE.slider,"KpSlider", _view.PositionPID) // EJsS HtmlView.HtmlView Page: declaration of element 'KpSlider'
      .setProperty("Minimum",0) // EJsS HtmlView.HtmlView Page: setting property 'Minimum' for element 'KpSlider'
      .setProperty("Maximum",15) // EJsS HtmlView.HtmlView Page: setting property 'Maximum' for element 'KpSlider'
      .setProperty("Step",0.1) // EJsS HtmlView.HtmlView Page: setting property 'Step' for element 'KpSlider'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"Ti_label", _view.PositionPID) // EJsS HtmlView.HtmlView Page: declaration of element 'Ti_label'
      .setProperty("TextAlign","right") // EJsS HtmlView.HtmlView Page: setting property 'TextAlign' for element 'Ti_label'
      .setProperty("Foreground","black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'Ti_label'
      .setProperty("Text","Ti = ") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'Ti_label'
      ;

    _view._addElement(EJSS_INTERFACE.numberField,"Ti", _view.PositionPID) // EJsS HtmlView.HtmlView Page: declaration of element 'Ti'
      .setProperty("Width",70) // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'Ti'
      .setProperty("Format","0.##") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'Ti'
      ;

    _view._addElement(EJSS_INTERFACE.slider,"TiSlider", _view.PositionPID) // EJsS HtmlView.HtmlView Page: declaration of element 'TiSlider'
      .setProperty("Minimum",0) // EJsS HtmlView.HtmlView Page: setting property 'Minimum' for element 'TiSlider'
      .setProperty("Maximum",20) // EJsS HtmlView.HtmlView Page: setting property 'Maximum' for element 'TiSlider'
      .setProperty("Step",0.5) // EJsS HtmlView.HtmlView Page: setting property 'Step' for element 'TiSlider'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"Td_label", _view.PositionPID) // EJsS HtmlView.HtmlView Page: declaration of element 'Td_label'
      .setProperty("TextAlign","right") // EJsS HtmlView.HtmlView Page: setting property 'TextAlign' for element 'Td_label'
      .setProperty("Foreground","black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'Td_label'
      .setProperty("Text","Td = ") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'Td_label'
      ;

    _view._addElement(EJSS_INTERFACE.numberField,"Td", _view.PositionPID) // EJsS HtmlView.HtmlView Page: declaration of element 'Td'
      .setProperty("Width",70) // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'Td'
      .setProperty("Format","0.##") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'Td'
      ;

    _view._addElement(EJSS_INTERFACE.slider,"TdSlider", _view.PositionPID) // EJsS HtmlView.HtmlView Page: declaration of element 'TdSlider'
      .setProperty("Minimum",0) // EJsS HtmlView.HtmlView Page: setting property 'Minimum' for element 'TdSlider'
      .setProperty("Maximum",1) // EJsS HtmlView.HtmlView Page: setting property 'Maximum' for element 'TdSlider'
      .setProperty("Step",0.01) // EJsS HtmlView.HtmlView Page: setting property 'Step' for element 'TdSlider'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"physicsParams", _view.controlsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'physicsParams'
      .setProperty("CSS",{   "margin-top":"10px",   "margin-bottom":"15px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'physicsParams'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"massAndRadius", _view.physicsParams) // EJsS HtmlView.HtmlView Page: declaration of element 'massAndRadius'
      .setProperty("CSS",{   "margin-bottom":"15px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'massAndRadius'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"mass_slider", _view.massAndRadius) // EJsS HtmlView.HtmlView Page: declaration of element 'mass_slider'
      .setProperty("Foreground","black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'mass_slider'
      .setProperty("Text","Object's mass (g) = ") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'mass_slider'
      ;

    _view._addElement(EJSS_INTERFACE.slider,"massSlider", _view.massAndRadius) // EJsS HtmlView.HtmlView Page: declaration of element 'massSlider'
      .setProperty("Minimum",1) // EJsS HtmlView.HtmlView Page: setting property 'Minimum' for element 'massSlider'
      .setProperty("Maximum",2) // EJsS HtmlView.HtmlView Page: setting property 'Maximum' for element 'massSlider'
      .setProperty("ShowText",true) // EJsS HtmlView.HtmlView Page: setting property 'ShowText' for element 'massSlider'
      .setProperty("Format","#.#") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'massSlider'
      .setProperty("Step",0.2) // EJsS HtmlView.HtmlView Page: setting property 'Step' for element 'massSlider'
      .setProperty("Font","normal normal 18px Georgia, serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'massSlider'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"radius_label", _view.massAndRadius) // EJsS HtmlView.HtmlView Page: declaration of element 'radius_label'
      .setProperty("Foreground","black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'radius_label'
      .setProperty("Text","Object's radius (m) = ") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'radius_label'
      ;

    _view._addElement(EJSS_INTERFACE.slider,"radiusSlider", _view.massAndRadius) // EJsS HtmlView.HtmlView Page: declaration of element 'radiusSlider'
      .setProperty("Minimum",0.02) // EJsS HtmlView.HtmlView Page: setting property 'Minimum' for element 'radiusSlider'
      .setProperty("Maximum",0.03) // EJsS HtmlView.HtmlView Page: setting property 'Maximum' for element 'radiusSlider'
      .setProperty("ShowText",true) // EJsS HtmlView.HtmlView Page: setting property 'ShowText' for element 'radiusSlider'
      .setProperty("Format","#.###") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'radiusSlider'
      .setProperty("Step",0.005) // EJsS HtmlView.HtmlView Page: setting property 'Step' for element 'radiusSlider'
      .setProperty("Font","normal normal 18px Georgia, serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'radiusSlider'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"velocity", _view.physicsParams) // EJsS HtmlView.HtmlView Page: declaration of element 'velocity'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"windVelLabel", _view.velocity) // EJsS HtmlView.HtmlView Page: declaration of element 'windVelLabel'
      .setProperty("Foreground","black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'windVelLabel'
      .setProperty("Text","Wind Velocity (m/s) = ") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'windVelLabel'
      ;

    _view._addElement(EJSS_INTERFACE.numberField,"windVelValue", _view.velocity) // EJsS HtmlView.HtmlView Page: declaration of element 'windVelValue'
      .setProperty("Width",60) // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'windVelValue'
      .setProperty("CSS",{   "border":"0" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'windVelValue'
      .setProperty("Format","#.##") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'windVelValue'
      .setProperty("Background","White") // EJsS HtmlView.HtmlView Page: setting property 'Background' for element 'windVelValue'
      .setProperty("Editable",false) // EJsS HtmlView.HtmlView Page: setting property 'Editable' for element 'windVelValue'
      .setProperty("Font","normal normal 18px Georgia, serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'windVelValue'
      ;

    _view._addElement(EJSS_INTERFACE.imageAndTextButton,"vEqLabel", _view.velocity) // EJsS HtmlView.HtmlView Page: declaration of element 'vEqLabel'
      .setProperty("Foreground","black") // EJsS HtmlView.HtmlView Page: setting property 'Foreground' for element 'vEqLabel'
      .setProperty("Text","Veq (m/s) = ") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'vEqLabel'
      ;

    _view._addElement(EJSS_INTERFACE.numberField,"vEqValue", _view.velocity) // EJsS HtmlView.HtmlView Page: declaration of element 'vEqValue'
      .setProperty("Width",60) // EJsS HtmlView.HtmlView Page: setting property 'Width' for element 'vEqValue'
      .setProperty("CSS",{   "border":"0" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'vEqValue'
      .setProperty("Format","#.##") // EJsS HtmlView.HtmlView Page: setting property 'Format' for element 'vEqValue'
      .setProperty("Background","White") // EJsS HtmlView.HtmlView Page: setting property 'Background' for element 'vEqValue'
      .setProperty("Editable",false) // EJsS HtmlView.HtmlView Page: setting property 'Editable' for element 'vEqValue'
      .setProperty("Font","normal normal 18px Georgia, serif") // EJsS HtmlView.HtmlView Page: setting property 'Font' for element 'vEqValue'
      ;

    _view._addElement(EJSS_INTERFACE.panel,"buttonsPanel", _view.controlsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'buttonsPanel'
      .setProperty("CSS",{   "margin-bottom":"5px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'buttonsPanel'
      ;

    _view._addElement(EJSS_INTERFACE.button,"playButton", _view.buttonsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'playButton'
      .setProperty("CSS",{   "margin-left":"2px",   "margin-right":"2px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'playButton'
      .setProperty("ImageUrl","/org/opensourcephysics/resources/controls/images/play.gif") // EJsS HtmlView.HtmlView Page: setting property 'ImageUrl' for element 'playButton'
      .setProperty("Text","Play") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'playButton'
      ;

    _view._addElement(EJSS_INTERFACE.button,"pauseButton", _view.buttonsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'pauseButton'
      .setProperty("CSS",{   "margin-left":"2px",   "margin-right":"2px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'pauseButton'
      .setProperty("ImageUrl","/org/opensourcephysics/resources/controls/images/pause.gif") // EJsS HtmlView.HtmlView Page: setting property 'ImageUrl' for element 'pauseButton'
      .setProperty("Text","Pause") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'pauseButton'
      ;

    _view._addElement(EJSS_INTERFACE.button,"resetButton", _view.buttonsPanel) // EJsS HtmlView.HtmlView Page: declaration of element 'resetButton'
      .setProperty("CSS",{   "margin-left":"2px",   "margin-right":"2px" }) // EJsS HtmlView.HtmlView Page: setting property 'CSS' for element 'resetButton'
      .setProperty("ImageUrl","/org/opensourcephysics/resources/controls/images/reset.gif") // EJsS HtmlView.HtmlView Page: setting property 'ImageUrl' for element 'resetButton'
      .setProperty("Text","Reset") // EJsS HtmlView.HtmlView Page: setting property 'Text' for element 'resetButton'
      ;

  };

  return _view;
}



      var _model;
      var _scorm;
      window.addEventListener('load',
        function () { 
          _model =  new Virtual_LevitadorAire_Arx_Datos("_topFrame","_ejs_library/",null);
          if (typeof _isApp !== "undefined" && _isApp) _model.setRunAlways(true);
          TextResizeDetector.TARGET_ELEMENT_ID = '_topFrame';
          TextResizeDetector.USER_INIT_FUNC = function () {
            var iBase = TextResizeDetector.addEventListener(function(e,args) {
              _model._fontResized(args[0].iBase,args[0].iSize,args[0].iDelta);
              },null);
            _model._fontResized(iBase);
          };
          _model.onload();
        }, false);
